it.csi.mddtools.guigen

## Interface GuigenPackage.Literals

- Enclosing interface:
    GuigenPackage

      public static interface GuigenPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ACTIVATE_MULTI_PANEL_ITEM_COMMAND` The meta object literal for the '`Activate Multi Panel Item Command`' class
    `static org.eclipse.emf.ecore.EReference` | `ACTIVATE_MULTI_PANEL_ITEM_COMMAND__ACTIVE_ITEM` The meta object literal for the 'Active Item' reference feature
    `static org.eclipse.emf.ecore.EReference` | `ACTIVATE_MULTI_PANEL_ITEM_COMMAND__MULTIPANEL` The meta object literal for the 'Multipanel' reference feature
    `static org.eclipse.emf.ecore.EClass` | `ACTIVATION_MODEL` The meta object literal for the '`Activation Model`' class
    `static org.eclipse.emf.ecore.EReference` | `ACTIVATION_MODEL__ACTIVATION_PARAMS` The meta object literal for the 'Activation Params' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `ACTIVATION_PARAM` The meta object literal for the '`Activation Param`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ACTIVATION_PARAM__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `ACTIVATION_PARAM__TYPE` The meta object literal for the 'Type' reference feature
    `static org.eclipse.emf.ecore.EClass` | `ACTOR` The meta object literal for the '`Actor`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ACTOR__CODE` The meta object literal for the 'Code' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `ACTOR__ROLES` The meta object literal for the 'Roles' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `ACTOR_BASED_SECURITY_CONSTRAINT` The meta object literal for the '`Actor Based Security Constraint`' class
    `static org.eclipse.emf.ecore.EReference` | `ACTOR_BASED_SECURITY_CONSTRAINT__ACTOR` The meta object literal for the 'Actor' reference feature
    `static org.eclipse.emf.ecore.EClass` | `ACTOR_MAPPING_PARAM` The meta object literal for the '`Actor Mapping Param`' class
    `static org.eclipse.emf.ecore.EReference` | `ACTOR_MAPPING_PARAM__DEF_ACTOR` The meta object literal for the 'Def Actor' reference feature
    `static org.eclipse.emf.ecore.EClass` | `ACTOR_MAPPING_PDEF_VAL` The meta object literal for the '`Actor Mapping PDef Val`' class
    `static org.eclipse.emf.ecore.EReference` | `ACTOR_MAPPING_PDEF_VAL__ACTUAL_ACTOR` The meta object literal for the 'Actual Actor' reference feature
    `static org.eclipse.emf.ecore.EClass` | `ANNOTATED_ELEMENT` The meta object literal for the '`Annotated Element`' class
    `static org.eclipse.emf.ecore.EReference` | `ANNOTATED_ELEMENT__ANNOTATIONS` The meta object literal for the 'Annotations' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `ANNOTATION` The meta object literal for the '`Annotation`' class
    `static org.eclipse.emf.ecore.EReference` | `ANNOTATION__DETAILS` The meta object literal for the 'Details' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `ANNOTATION__SOURCE` The meta object literal for the 'Source' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `ANNOTATION_DETAIL` The meta object literal for the '`Annotation Detail`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ANNOTATION_DETAIL__KEY` The meta object literal for the 'Key' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ANNOTATION_DETAIL__VALUE` The meta object literal for the 'Value' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `APP_DATA_BINDING` The meta object literal for the '`App Data Binding`' class
    `static org.eclipse.emf.ecore.EReference` | `APP_DATA_BINDING__APP_DATA` The meta object literal for the 'App Data' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `APP_DATA_BINDING__PATH` The meta object literal for the 'Path' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `APP_DATA_GROUP` The meta object literal for the '`App Data Group`' class
    `static org.eclipse.emf.ecore.EReference` | `APP_DATA_GROUP__APP_DATA` The meta object literal for the 'App Data' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `APP_DATA_GROUP__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `APP_DATA_MAPPING_PARAM` The meta object literal for the '`App Data Mapping Param`' class
    `static org.eclipse.emf.ecore.EReference` | `APP_DATA_MAPPING_PARAM__DEF_APP_DATA` The meta object literal for the 'Def App Data' reference feature
    `static org.eclipse.emf.ecore.EClass` | `APP_DATA_MAPPING_PDEF_VAL` The meta object literal for the '`App Data Mapping PDef Val`' class
    `static org.eclipse.emf.ecore.EReference` | `APP_DATA_MAPPING_PDEF_VAL__ACTUAL_APP_DATA` The meta object literal for the 'Actual App Data' reference feature
    `static org.eclipse.emf.ecore.EClass` | `APP_MODULE` The meta object literal for the '`App Module`' class
    `static org.eclipse.emf.ecore.EReference` | `APP_MODULE__CONTENT_PANELS` The meta object literal for the 'Content Panels' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `APP_MODULE__EXT_SECURITY_MODEL` The meta object literal for the 'Ext Security Model' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `APP_MODULE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `APP_MODULE__SECURE` The meta object literal for the 'Secure' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `APP_WINDOW` The meta object literal for the '`App Window`' class
    `static org.eclipse.emf.ecore.EReference` | `APP_WINDOW__APP_AREA` The meta object literal for the 'App Area' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `APP_WINDOW__FOOTER` The meta object literal for the 'Footer' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `APP_WINDOW__HEADER` The meta object literal for the 'Header' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `APPLICATION_AREA` The meta object literal for the '`Application Area`' class
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_AREA__CONTENT_PANELS` The meta object literal for the 'Content Panels' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_AREA__EXT_MODULES` The meta object literal for the 'Ext Modules' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_AREA__HOME_PAGE` The meta object literal for the 'Home Page' reference feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_AREA__MENUBAR` The meta object literal for the 'Menubar' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_AREA__MODULES` The meta object literal for the 'Modules' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_AREA__ON_INIT_COMMAND` The meta object literal for the 'On Init Command' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_AREA__STATIC_LINKS` The meta object literal for the 'Static Links' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_AREA__STATUSBAR` The meta object literal for the 'Statusbar' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_AREA__TITLEBAR` The meta object literal for the 'Titlebar' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `APPLICATION_DATA` The meta object literal for the '`Application Data`' class
    `static org.eclipse.emf.ecore.EAttribute` | `APPLICATION_DATA__LIFETIME_EXTENT` The meta object literal for the 'Lifetime Extent' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `APPLICATION_DATA__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_DATA__TYPE` The meta object literal for the 'Type' reference feature
    `static org.eclipse.emf.ecore.EClass` | `APPLICATION_DATA_DEFS` The meta object literal for the '`Application Data Defs`' class
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_DATA_DEFS__APP_DATA` The meta object literal for the 'App Data' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_DATA_DEFS__EXT_GROUPS` The meta object literal for the 'Ext Groups' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `APPLICATION_DATA_DEFS__GROUPS` The meta object literal for the 'Groups' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `AUTENTICATION_METHOD` The meta object literal for the '`Autentication Method`' class
    `static org.eclipse.emf.ecore.EClass` | `BEGIN_EDIT_COMMAND` The meta object literal for the '`Begin Edit Command`' class
    `static org.eclipse.emf.ecore.EReference` | `BEGIN_EDIT_COMMAND__DATA_EDITED` The meta object literal for the 'Data Edited' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `BREADCRUMB` The meta object literal for the '`Breadcrumb`' class
    `static org.eclipse.emf.ecore.EClass` | `BUTTON` The meta object literal for the '`Button`' class
    `static org.eclipse.emf.ecore.EAttribute` | `BUTTON__IMAGE` The meta object literal for the 'Image' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `CALENDAR` The meta object literal for the '`Calendar`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CALENDAR__SELECT_MONTH` The meta object literal for the 'Select Month' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `CALENDAR__SELECT_YEAR` The meta object literal for the 'Select Year' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `CALENDAR__SELECT_YEAR_RANGE` The meta object literal for the 'Select Year Range' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `CAPTCHA` The meta object literal for the '`Captcha`' class
    `static org.eclipse.emf.ecore.EClass` | `CHECK_BOX` The meta object literal for the '`Check Box`' class
    `static org.eclipse.emf.ecore.EClass` | `CHK_EDIT_STATUS_COMMAND` The meta object literal for the '`Chk Edit Status Command`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CHK_EDIT_STATUS_COMMAND__CHECK_AGGREGATION` The meta object literal for the 'Check Aggregation' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CHK_EDIT_STATUS_COMMAND__DATA_CHECKED` The meta object literal for the 'Data Checked' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `CHK_EDIT_STATUS_COMMAND__DO_IF_CHANGED` The meta object literal for the 'Do If Changed' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `CHK_EDIT_STATUS_COMMAND__DO_IF_NOT_CHANGED` The meta object literal for the 'Do If Not Changed' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `CLEAR_APPDATA_COMMAND` The meta object literal for the '`Clear Appdata Command`' class
    `static org.eclipse.emf.ecore.EReference` | `CLEAR_APPDATA_COMMAND__APP_DATA` The meta object literal for the 'App Data' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `COLUMN` The meta object literal for the '`Column`' class
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__ACTIVE_FLAG_SELECTOR` The meta object literal for the 'Active Flag Selector' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__CUSTOM_DECORATOR` The meta object literal for the 'Custom Decorator' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__CUSTOM_SORT_PROPERTY_SELECTOR` The meta object literal for the 'Custom Sort Property Selector' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__EDITABLE` The meta object literal for the 'Editable' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__EDITABLE_FLAG_SELECTOR` The meta object literal for the 'Editable Flag Selector' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__EVENT_ACTIVE` The meta object literal for the 'Event Active' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__FIELD_MAX_LENGTH` The meta object literal for the 'Field Max Length' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__LABEL` The meta object literal for the 'Label' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `COLUMN__MULTI_DATA_BINDING` The meta object literal for the 'Multi Data Binding' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__MULTIDATA_KEY_SELECTOR` The meta object literal for the 'Multidata Key Selector' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__MULTIDATA_PROPERTY_SELECTOR` The meta object literal for the 'Multidata Property Selector' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__MULTIDATA_VALUE_SELECTOR` The meta object literal for the 'Multidata Value Selector' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__SELECTOR` The meta object literal for the 'Selector' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__SORTABLE` The meta object literal for the 'Sortable' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN__TOOLTIP` The meta object literal for the 'Tooltip' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `COLUMN_MODEL` The meta object literal for the '`Column Model`' class
    `static org.eclipse.emf.ecore.EReference` | `COLUMN_MODEL__COLUMNS` The meta object literal for the 'Columns' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN_MODEL__VALUE_SELECTOR` The meta object literal for the 'Value Selector' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `COMBO_BOX` The meta object literal for the '`Combo Box`' class
    `static org.eclipse.emf.ecore.EAttribute` | `COMBO_BOX__FIELD_LENGTH` The meta object literal for the 'Field Length' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COMBO_BOX__KEY_SELECTOR` The meta object literal for the 'Key Selector' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COMBO_BOX__OMIT_HEADER_VALUE` The meta object literal for the 'Omit Header Value' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COMBO_BOX__VALUE_SELECTOR` The meta object literal for the 'Value Selector' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COMBO_BOX__VISIBLE_LINES` The meta object literal for the 'Visible Lines' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `COMMAND` The meta object literal for the '`Command`' class
    `static org.eclipse.emf.ecore.EClass` | `COMMAND_EVENT` The meta object literal for the '`Command Event`' class
    `static org.eclipse.emf.ecore.EEnum` | `COMMAND_FUNCTIONS` The meta object literal for the '`Command Functions`' enum
    `static org.eclipse.emf.ecore.EClass` | `COMMAND_ON_PANELS` The meta object literal for the '`Command On Panels`' class
    `static org.eclipse.emf.ecore.EReference` | `COMMAND_ON_PANELS__TARGET_PANELS` The meta object literal for the 'Target Panels' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `COMMAND_ON_WIDGETS` The meta object literal for the '`Command On Widgets`' class
    `static org.eclipse.emf.ecore.EReference` | `COMMAND_ON_WIDGETS__TARGET_MENU_ELEMENT` The meta object literal for the 'Target Menu Element' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `COMMAND_ON_WIDGETS__TARGET_WIDGETS` The meta object literal for the 'Target Widgets' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `COMMAND_OUTCOME` The meta object literal for the '`Command Outcome`' class
    `static org.eclipse.emf.ecore.EReference` | `COMMAND_OUTCOME__COMMAND` The meta object literal for the 'Command' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `COMMAND_OUTCOME__RESULT_CODE` The meta object literal for the 'Result Code' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `COMMAND_PANEL` The meta object literal for the '`Command Panel`' class
    `static org.eclipse.emf.ecore.EAttribute` | `COMMAND_PANEL__CMD_STYLE` The meta object literal for the 'Cmd Style' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `COMMAND_PANEL__WIDGETS` The meta object literal for the 'Widgets' containment reference list feature
    `static org.eclipse.emf.ecore.EEnum` | `COMMAND_STYLES` The meta object literal for the '`Command Styles`' enum
    `static org.eclipse.emf.ecore.EClass` | `COMMAND_WIDGET` The meta object literal for the '`Command Widget`' class
    `static org.eclipse.emf.ecore.EAttribute` | `COMMAND_WIDGET__FUNCTION_SPECIFIER` The meta object literal for the 'Function Specifier' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `COMPLEX_TYPE` The meta object literal for the '`Complex Type`' class
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_TYPE__EXTENDS` The meta object literal for the 'Extends' reference feature
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_TYPE__FIELDS` The meta object literal for the 'Fields' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `COMPLEX_TYPE__INIT_FIELDS` The meta object literal for the 'Init Fields' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_TYPE__TYPE_ANNOTATION` The meta object literal for the 'Type Annotation' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `CONFIRM_BUTTON` The meta object literal for the '`Confirm Button`' class
    `static org.eclipse.emf.ecore.EClass` | `CONTENT_PANEL` The meta object literal for the '`Content Panel`' class
    `static org.eclipse.emf.ecore.EReference` | `CONTENT_PANEL__APP_DATA` The meta object literal for the 'App Data' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `CONTENT_PANEL__CP_COMMANDS` The meta object literal for the 'Cp Commands' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `CONTENT_PANEL__DEFAULT_STATE` The meta object literal for the 'Default State' reference feature
    `static org.eclipse.emf.ecore.EReference` | `CONTENT_PANEL__DIALOGS` The meta object literal for the 'Dialogs' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `CONTENT_PANEL__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CONTENT_PANEL__ON_REFRESH_COMMAND` The meta object literal for the 'On Refresh Command' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `CONTENT_PANEL__PANELS` The meta object literal for the 'Panels' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `CONTENT_PANEL__STATES` The meta object literal for the 'States' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `CP_COMMAND` The meta object literal for the '`CP Command`' class
    `static org.eclipse.emf.ecore.EReference` | `CP_COMMAND__COMMAND` The meta object literal for the 'Command' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `CP_COMMAND__EXECUTE` The meta object literal for the 'Execute' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `CP_COMMAND_EXECUTION_TYPES` The meta object literal for the '`CP Command Execution Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `CP_COMMANDS` The meta object literal for the '`CP Commands`' class
    `static org.eclipse.emf.ecore.EReference` | `CP_COMMANDS__COMMANDS` The meta object literal for the 'Commands' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `CUSTOM_AUTHENTICATION` The meta object literal for the '`Custom Authentication`' class
    `static org.eclipse.emf.ecore.EClass` | `CUSTOM_CARTRIDGE` The meta object literal for the '`Custom Cartridge`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_CARTRIDGE__CRT_ID` The meta object literal for the 'Crt ID' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_CARTRIDGE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_CARTRIDGE__TEMPLATES` The meta object literal for the 'Templates' containment reference list feature
    `static org.eclipse.emf.ecore.EEnum` | `CUSTOM_CARTRIDGE_ID` The meta object literal for the '`Custom Cartridge ID`' enum
    `static org.eclipse.emf.ecore.EClass` | `CUSTOM_COMMAND` The meta object literal for the '`Custom Command`' class
    `static org.eclipse.emf.ecore.EClass` | `CUSTOM_SECURITY_CONSTRAINT` The meta object literal for the '`Custom Security Constraint`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_SECURITY_CONSTRAINT__METHOD_NAME_SUFFIX` The meta object literal for the 'Method Name Suffix' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `CUSTOM_TEMPLATE` The meta object literal for the '`Custom Template`' class
    `static org.eclipse.emf.ecore.EReference` | `CUSTOM_TEMPLATE__MODEL_SLOTS` The meta object literal for the 'Model Slots' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_TEMPLATE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_TEMPLATE__TPL_ID` The meta object literal for the 'Tpl ID' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `DATA_LIFETIME_TYPE` The meta object literal for the '`Data Lifetime Type`' enum
    `static org.eclipse.emf.ecore.EClass` | `DATA_WIDGET` The meta object literal for the '`Data Widget`' class
    `static org.eclipse.emf.ecore.EReference` | `DATA_WIDGET__DATA_TYPE` The meta object literal for the 'Data Type' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `DATA_WIDGET__DATA_TYPE_MODIFIER` The meta object literal for the 'Data Type Modifier' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `DATA_WIDGET__DATABINDING` The meta object literal for the 'Databinding' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `DATA_WIDGET__REQUIRED` The meta object literal for the 'Required' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `DECLARATIVE_UI_CONSTRAINT` The meta object literal for the '`Declarative UI Constraint`' class
    `static org.eclipse.emf.ecore.EAttribute` | `DECLARATIVE_UI_CONSTRAINT__LANGUAGE` The meta object literal for the 'Language' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECLARATIVE_UI_CONSTRAINT__SCRIPT` The meta object literal for the 'Script' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `DIALOG_PANEL` The meta object literal for the '`Dialog Panel`' class
    `static org.eclipse.emf.ecore.EReference` | `DIALOG_PANEL__COMMANDS` The meta object literal for the 'Commands' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DIALOG_PANEL__MSG_BOXES` The meta object literal for the 'Msg Boxes' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `DISABLED_COMPONENT_SET` The meta object literal for the '`Disabled Component Set`' class
    `static org.eclipse.emf.ecore.EClass` | `END_EDIT_COMMAND` The meta object literal for the '`End Edit Command`' class
    `static org.eclipse.emf.ecore.EReference` | `END_EDIT_COMMAND__DATA_EDITED` The meta object literal for the 'Data Edited' reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `END_EDIT_COMMAND__UNDO` The meta object literal for the 'Undo' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `ENV_CONFIG_PARAM` The meta object literal for the '`Env Config Param`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ENV_CONFIG_PARAM__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `ENV_CONFIG_PARAMS` The meta object literal for the '`Env Config Params`' class
    `static org.eclipse.emf.ecore.EReference` | `ENV_CONFIG_PARAMS__PARAMS` The meta object literal for the 'Params' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `EVENT_HANDLER` The meta object literal for the '`Event Handler`' class
    `static org.eclipse.emf.ecore.EReference` | `EVENT_HANDLER__COMMAND` The meta object literal for the 'Command' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT_HANDLER__EVENT_SPECIFIERS` The meta object literal for the 'Event Specifiers' attribute list feature
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT_HANDLER__EVENT_TYPE` The meta object literal for the 'Event Type' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT_HANDLER__METHOD_PROTECTION` The meta object literal for the 'Method Protection' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT_HANDLER__SKIP_VALIDATION` The meta object literal for the 'Skip Validation' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `EVENT_TYPES` The meta object literal for the '`Event Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `EXEC_COMMAND` The meta object literal for the '`Exec Command`' class
    `static org.eclipse.emf.ecore.EReference` | `EXEC_COMMAND__CUSTOM_TEMPLATE` The meta object literal for the 'Custom Template' reference feature
    `static org.eclipse.emf.ecore.EReference` | `EXEC_COMMAND__EXTRA_MODELS` The meta object literal for the 'Extra Models' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `EXEC_COMMAND__INLINE_CODE_SNIPPETS` The meta object literal for the 'Inline Code Snippets' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `EXEC_COMMAND__METHOD_NAME` The meta object literal for the 'Method Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `EXEC_COMMAND__POST_EXEC_DATA` The meta object literal for the 'Post Exec Data' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `EXEC_COMMAND__RESULTS` The meta object literal for the 'Results' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `EXTERNAL_AUTHENTICATION_GUARD` The meta object literal for the '`External Authentication Guard`' class
    `static org.eclipse.emf.ecore.EClass` | `EXTRA_COLUMN` The meta object literal for the '`Extra Column`' class
    `static org.eclipse.emf.ecore.EReference` | `EXTRA_COLUMN__INSERT_AFTER` The meta object literal for the 'Insert After' reference feature
    `static org.eclipse.emf.ecore.EClass` | `FIELD` The meta object literal for the '`Field`' class
    `static org.eclipse.emf.ecore.EReference` | `FIELD__ANNOTATIONS` The meta object literal for the 'Annotations' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `FIELD__DATA_TYPE_MODIFIER` The meta object literal for the 'Data Type Modifier' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `FIELD__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `FIELD__REQUIRED` The meta object literal for the 'Required' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `FIELD__TYPE` The meta object literal for the 'Type' reference feature
    `static org.eclipse.emf.ecore.EClass` | `FILE_UPLOAD` The meta object literal for the '`File Upload`' class
    `static org.eclipse.emf.ecore.EAttribute` | `FILE_UPLOAD__MULTIPLE` The meta object literal for the 'Multiple' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `FOOTER` The meta object literal for the '`Footer`' class
    `static org.eclipse.emf.ecore.EClass` | `FORM_PANEL` The meta object literal for the '`Form Panel`' class
    `static org.eclipse.emf.ecore.EAttribute` | `FORM_PANEL__COLLAPSIBLE` The meta object literal for the 'Collapsible' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `FORM_PANEL__SUBPANELS` The meta object literal for the 'Subpanels' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `FORM_PANEL__WIDGETS` The meta object literal for the 'Widgets' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `GRID_PANEL_LAYOUT` The meta object literal for the '`Grid Panel Layout`' class
    `static org.eclipse.emf.ecore.EAttribute` | `GRID_PANEL_LAYOUT__COLUMNS` The meta object literal for the 'Columns' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `GRID_PANEL_LAYOUT__ROWS` The meta object literal for the 'Rows' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `GRID_WIDGET_LAYOUT_SPEC` The meta object literal for the '`Grid Widget Layout Spec`' class
    `static org.eclipse.emf.ecore.EAttribute` | `GRID_WIDGET_LAYOUT_SPEC__COLUMN` The meta object literal for the 'Column' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `GRID_WIDGET_LAYOUT_SPEC__HSPAN` The meta object literal for the 'Hspan' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `GRID_WIDGET_LAYOUT_SPEC__ROW` The meta object literal for the 'Row' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `GRID_WIDGET_LAYOUT_SPEC__VSPAN` The meta object literal for the 'Vspan' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `GUI_BEHAVIORS` The meta object literal for the '`GUI Behaviors`' class
    `static org.eclipse.emf.ecore.EClass` | `GUI_MODEL` The meta object literal for the '`GUI Model`' class
    `static org.eclipse.emf.ecore.EReference` | `GUI_MODEL__ACTIVATION_MODEL` The meta object literal for the 'Activation Model' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `GUI_MODEL__APP_DATA_DEFS` The meta object literal for the 'App Data Defs' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `GUI_MODEL__BEAHVIORS` The meta object literal for the 'Beahviors' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `GUI_MODEL__COD_COMPONENTE` The meta object literal for the 'Cod Componente' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `GUI_MODEL__COD_PRODOTTO` The meta object literal for the 'Cod Prodotto' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `GUI_MODEL__EXT_SECURITY_MODEL` The meta object literal for the 'Ext Security Model' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `GUI_MODEL__PORTALE` The meta object literal for the 'Portale' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `GUI_MODEL__SECURITY_MODEL` The meta object literal for the 'Security Model' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `GUI_MODEL__STRUCTURE` The meta object literal for the 'Structure' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `GUI_MODEL__TARGET_PLATFORM` The meta object literal for the 'Target Platform' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `GUI_MODEL__TYPEDEFS` The meta object literal for the 'Typedefs' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `GUI_MODEL__VERSIONE_COMPONENTE` The meta object literal for the 'Versione Componente' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `GUI_MODEL__VERSIONE_PRODOTTO` The meta object literal for the 'Versione Prodotto' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `GUI_STRUCTURE` The meta object literal for the '`GUI Structure`' class
    `static org.eclipse.emf.ecore.EReference` | `GUI_STRUCTURE__APP_WINDOW` The meta object literal for the 'App Window' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `HEADER` The meta object literal for the '`Header`' class
    `static org.eclipse.emf.ecore.EAttribute` | `HEADER__COD_APPLICATIVO` The meta object literal for the 'Cod Applicativo' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `HEADER__COD_CANALE` The meta object literal for the 'Cod Canale' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `HEADER__LINK_CANALE` The meta object literal for the 'Link Canale' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `HEADER__META_ATTRIBUTES` The meta object literal for the 'Meta Attributes' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `HEADER__NOME_APPLICATIVO` The meta object literal for the 'Nome Applicativo' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `HEADER__NOME_CANALE` The meta object literal for the 'Nome Canale' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `HEADER__TITLE` The meta object literal for the 'Title' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `HEADER_META_ATTR` The meta object literal for the '`Header Meta Attr`' class
    `static org.eclipse.emf.ecore.EAttribute` | `HEADER_META_ATTR__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `HEADER_META_ATTR__USE_HTTP_EQUIV` The meta object literal for the 'Use Http Equiv' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `HEADER_META_ATTR__VALUE` The meta object literal for the 'Value' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `HIDDEN_VALUE` The meta object literal for the '`Hidden Value`' class
    `static org.eclipse.emf.ecore.EClass` | `HORIZONTAL_FLOW_PANEL_LAYOUT` The meta object literal for the '`Horizontal Flow Panel Layout`' class
    `static org.eclipse.emf.ecore.EClass` | `IDENTITY_ADAPTER` The meta object literal for the '`Identity Adapter`' class
    `static org.eclipse.emf.ecore.EAttribute` | `IDENTITY_ADAPTER__INFO_SOURCE_NAME` The meta object literal for the 'Info Source Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `IDENTITY_ADAPTER__INLINE_CODE_SNIPPETS` The meta object literal for the 'Inline Code Snippets' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `IDENTITY_ADAPTER__PARAMS` The meta object literal for the 'Params' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `IDENTITY_ADAPTER__SOURCE_TYPE` The meta object literal for the 'Source Type' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `IDENTITY_ADAPTER__TICKET_VERIFY_METHOD` The meta object literal for the 'Ticket Verify Method' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `IMAGE` The meta object literal for the '`Image`' class
    `static org.eclipse.emf.ecore.EAttribute` | `IMAGE__IMAGE` The meta object literal for the 'Image' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `INFO_SOURCE_TYPES` The meta object literal for the '`Info Source Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `INLINE_CODE_SNIPPET` The meta object literal for the '`Inline Code Snippet`' class
    `static org.eclipse.emf.ecore.EAttribute` | `INLINE_CODE_SNIPPET__LANG` The meta object literal for the 'Lang' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `INLINE_CODE_SNIPPET__SNIPPET_CODE` The meta object literal for the 'Snippet Code' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `INLINE_CODE_SNIPPET__SNIPPET_NAME` The meta object literal for the 'Snippet Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `INLINE_CODE_SNIPPET__SNIPPET_POSITION` The meta object literal for the 'Snippet Position' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `INLINE_SCRIPTING_LANGUAGE` The meta object literal for the '`Inline Scripting Language`' enum
    `static org.eclipse.emf.ecore.EClass` | `INTERNAL_AUTHENTICATION_GUARD` The meta object literal for the '`Internal Authentication Guard`' class
    `static org.eclipse.emf.ecore.EReference` | `INTERNAL_AUTHENTICATION_GUARD__LOGIN_MODULE` The meta object literal for the 'Login Module' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `INTERNAL_AUTHENTICATION_GUARD__PARAMS` The meta object literal for the 'Params' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `JUMP_BACK_COMMAND` The meta object literal for the '`Jump Back Command`' class
    `static org.eclipse.emf.ecore.EClass` | `JUMP_COMMAND` The meta object literal for the '`Jump Command`' class
    `static org.eclipse.emf.ecore.EReference` | `JUMP_COMMAND__JUMP_TO` The meta object literal for the 'Jump To' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `JUMP_COMMAND__PUSH_CURRENT_PAGE` The meta object literal for the 'Push Current Page' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `JUMP_EXT_COMMAND` The meta object literal for the '`Jump Ext Command`' class
    `static org.eclipse.emf.ecore.EAttribute` | `JUMP_EXT_COMMAND__BINARY_STREAM` The meta object literal for the 'Binary Stream' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `JUMP_EXT_COMMAND__LOCATION_CODE` The meta object literal for the 'Location Code' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `JUMP_EXT_COMMAND__RUNTIME_URL_PROVIDER` The meta object literal for the 'Runtime Url Provider' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `JUMP_EXT_COMMAND__STATIC_URL` The meta object literal for the 'Static Url' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `LOGIC_AGGREGATION_TYPES` The meta object literal for the '`Logic Aggregation Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `LOGIN_MODULE` The meta object literal for the '`Login Module`' class
    `static org.eclipse.emf.ecore.EAttribute` | `LOGIN_MODULE__INTERNAL` The meta object literal for the 'Internal' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `LOGIN_MODULE__LOGIN_UI` The meta object literal for the 'Login UI' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `LOGIN_UI` The meta object literal for the '`Login UI`' class
    `static org.eclipse.emf.ecore.EAttribute` | `LOGIN_UI__UI_TYPE` The meta object literal for the 'Ui Type' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `LOGIN_UI_TYPES` The meta object literal for the '`Login UI Types`' enum
    `static org.eclipse.emf.ecore.EEnum` | `LOGOUT_ACTION_TYPES` The meta object literal for the '`Logout Action Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `MAP_ENVELOPE` The meta object literal for the '`Map Envelope`' class
    `static org.eclipse.emf.ecore.EReference` | `MAP_ENVELOPE__NORTH_EAST` The meta object literal for the 'North East' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `MAP_ENVELOPE__SOUTH_WEST` The meta object literal for the 'South West' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `MAP_VIEW` The meta object literal for the '`Map View`' class
    `static org.eclipse.emf.ecore.EReference` | `MAP_VIEW__EDIT_DATA_BINDING` The meta object literal for the 'Edit Data Binding' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `MAP_VIEW__GADGETS` The meta object literal for the 'Gadgets' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW__MAP_ID` The meta object literal for the 'Map Id' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `MAP_VIEW__MAX_ENVELOPE_SPEC` The meta object literal for the 'Max Envelope Spec' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW__NO_CLICK_WHEN_DISABLED` The meta object literal for the 'No Click When Disabled' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW__NO_EDIT_WHEN_DISABLED` The meta object literal for the 'No Edit When Disabled' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW__NO_PAN_WHEN_DISABLED` The meta object literal for the 'No Pan When Disabled' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW__NO_ZOOM_WHEN_DISABLED` The meta object literal for the 'No Zoom When Disabled' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW__NUM_LEVELS` The meta object literal for the 'Num Levels' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `MAP_VIEW__SCALE_ENVELOPE_SPEC` The meta object literal for the 'Scale Envelope Spec' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `MAP_VIEW__START_ENVELOPE_SPEC` The meta object literal for the 'Start Envelope Spec' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `MAP_VIEW_GADGETS` The meta object literal for the '`Map View Gadgets`' class
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW_GADGETS__BACKGROUND_MAP_MAP_SERVICE_NAME` The meta object literal for the 'Background Map Map Service Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW_GADGETS__BACKGROUND_MAP_SWITCHER_LABEL` The meta object literal for the 'Background Map Switcher Label' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW_GADGETS__BACKGROUND_PHOTO_AERIAL_MAP_SERVICE_NAME` The meta object literal for the 'Background Photo Aerial Map Service Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW_GADGETS__BACKGROUND_PHOTO_AERIAL_SWITCHER_LABEL` The meta object literal for the 'Background Photo Aerial Switcher Label' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW_GADGETS__LAYER_SWITCHER` The meta object literal for the 'Layer Switcher' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW_GADGETS__LINE_EDITING_ACTIVE` The meta object literal for the 'Line Editing Active' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW_GADGETS__MODIFY_EDITING_ACTIVE` The meta object literal for the 'Modify Editing Active' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW_GADGETS__POINT_EDITING_ACTIVE` The meta object literal for the 'Point Editing Active' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MAP_VIEW_GADGETS__POLYGON_EDITING_ACTIVE` The meta object literal for the 'Polygon Editing Active' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `MENU` The meta object literal for the '`Menu`' class
    `static org.eclipse.emf.ecore.EReference` | `MENU__EVENT_HANDLER` The meta object literal for the 'Event Handler' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `MENU__ITEM` The meta object literal for the 'Item' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `MENU__LABEL` The meta object literal for the 'Label' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MENU__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `MENU__SECURITY_CONSTRAINTS` The meta object literal for the 'Security Constraints' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `MENU__SUBMENU` The meta object literal for the 'Submenu' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `MENU_ITEM` The meta object literal for the '`Menu Item`' class
    `static org.eclipse.emf.ecore.EReference` | `MENU_ITEM__EVENT_HANDLER` The meta object literal for the 'Event Handler' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `MENU_ITEM__LABEL` The meta object literal for the 'Label' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MENU_ITEM__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `MENU_ITEM__SECURITY_CONSTRAINTS` The meta object literal for the 'Security Constraints' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `MENU_PANEL` The meta object literal for the '`Menu Panel`' class
    `static org.eclipse.emf.ecore.EReference` | `MENU_PANEL__WIDGETS` The meta object literal for the 'Widgets' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `MENU_VIEW` The meta object literal for the '`Menu View`' class
    `static org.eclipse.emf.ecore.EClass` | `MENUBAR` The meta object literal for the '`Menubar`' class
    `static org.eclipse.emf.ecore.EAttribute` | `MENUBAR__REMOTE_INFO_BOX` The meta object literal for the 'Remote Info Box' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `MENUBAR__TOP_LEVEL_MENU` The meta object literal for the 'Top Level Menu' containment reference list feature
    `static org.eclipse.emf.ecore.EEnum` | `MESSAGE_SEVERITY` The meta object literal for the '`Message Severity`' enum
    `static org.eclipse.emf.ecore.EEnum` | `METHOD_PROTECTION_TYPES` The meta object literal for the '`Method Protection Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `MODEL_SLOT` The meta object literal for the '`Model Slot`' class
    `static org.eclipse.emf.ecore.EReference` | `MODEL_SLOT__DEF` The meta object literal for the 'Def' reference feature
    `static org.eclipse.emf.ecore.EReference` | `MODEL_SLOT__VAL` The meta object literal for the 'Val' reference feature
    `static org.eclipse.emf.ecore.EClass` | `MODEL_SLOT_DEF` The meta object literal for the '`Model Slot Def`' class
    `static org.eclipse.emf.ecore.EAttribute` | `MODEL_SLOT_DEF__MODEL_CLASS` The meta object literal for the 'Model Class' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MODEL_SLOT_DEF__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `MSG_BOX_PANEL` The meta object literal for the '`Msg Box Panel`' class
    `static org.eclipse.emf.ecore.EAttribute` | `MSG_BOX_PANEL__MESSAGE_SEVERITY` The meta object literal for the 'Message Severity' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MSG_BOX_PANEL__SHOW_STD_LEGEND` The meta object literal for the 'Show Std Legend' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `MSG_BOX_PANEL__TEXT_MESSAGES` The meta object literal for the 'Text Messages' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `MULTI_DATA_WIDGET` The meta object literal for the '`Multi Data Widget`' class
    `static org.eclipse.emf.ecore.EReference` | `MULTI_DATA_WIDGET__MULTI_DATA_BINDING` The meta object literal for the 'Multi Data Binding' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `MULTI_PANEL` The meta object literal for the '`Multi Panel`' class
    `static org.eclipse.emf.ecore.EReference` | `MULTI_PANEL__PANELS` The meta object literal for the 'Panels' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `NOP_COMMAND` The meta object literal for the '`NOP Command`' class
    `static org.eclipse.emf.ecore.EClass` | `ONOFF_COMMAND` The meta object literal for the '`ONOFF Command`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ONOFF_COMMAND__ENABLE` The meta object literal for the 'Enable' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `OPAUTHSSO` The meta object literal for the '`OPAUTHSSO`' class
    `static org.eclipse.emf.ecore.EAttribute` | `OPAUTHSSO__MIN_AUTH_LEVEL` The meta object literal for the 'Min Auth Level' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `PANEL` The meta object literal for the '`Panel`' class
    `static org.eclipse.emf.ecore.EAttribute` | `PANEL__LABEL` The meta object literal for the 'Label' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL__LAYOUT` The meta object literal for the 'Layout' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL__LAYOUT_SPEC` The meta object literal for the 'Layout Spec' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `PANEL__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `PANEL__SCROLLABLE` The meta object literal for the 'Scrollable' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `PANEL_DEF` The meta object literal for the '`Panel Def`' class
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF__ACTORS` The meta object literal for the 'Actors' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF__APP_DATA_DEFS` The meta object literal for the 'App Data Defs' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF__DEFAULT_STATE` The meta object literal for the 'Default State' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `PANEL_DEF__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF__ON_REFRESH_COMMAND` The meta object literal for the 'On Refresh Command' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF__PANEL` The meta object literal for the 'Panel' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF__PARAMS` The meta object literal for the 'Params' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF__ROLES` The meta object literal for the 'Roles' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF__STATES` The meta object literal for the 'States' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF__TYPE_DEFS` The meta object literal for the 'Type Defs' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF__USE_CASES` The meta object literal for the 'Use Cases' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `PANEL_DEF_STATE` The meta object literal for the '`Panel Def State`' class
    `static org.eclipse.emf.ecore.EAttribute` | `PANEL_DEF_STATE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF_STATE__WIDGETS_ON` The meta object literal for the 'Widgets On' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF_STATE__WIDGETS_VISIBLE` The meta object literal for the 'Widgets Visible' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `PANEL_DEF_STATES` The meta object literal for the '`Panel Def States`' class
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF_STATES__STATES` The meta object literal for the 'States' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `PANEL_DEF_USE` The meta object literal for the '`Panel Def Use`' class
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF_USE__CONFIG` The meta object literal for the 'Config' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `PANEL_DEF_USE__PANEL_DEF` The meta object literal for the 'Panel Def' reference feature
    `static org.eclipse.emf.ecore.EClass` | `PANEL_LAYOUT` The meta object literal for the '`Panel Layout`' class
    `static org.eclipse.emf.ecore.EAttribute` | `PANEL_LAYOUT__COLUMN_SIZES` The meta object literal for the 'Column Sizes' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `PDEF_PARAM` The meta object literal for the '`PDef Param`' class
    `static org.eclipse.emf.ecore.EAttribute` | `PDEF_PARAM__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `PDEF_PARAM_VAL` The meta object literal for the '`PDef Param Val`' class
    `static org.eclipse.emf.ecore.EReference` | `PDEF_PARAM_VAL__PARAM` The meta object literal for the 'Param' reference feature
    `static org.eclipse.emf.ecore.EClass` | `PDEF_STATE_COMMAND` The meta object literal for the '`PDef State Command`' class
    `static org.eclipse.emf.ecore.EReference` | `PDEF_STATE_COMMAND__GO_TO` The meta object literal for the 'Go To' reference feature
    `static org.eclipse.emf.ecore.EReference` | `PDEF_STATE_COMMAND__PDEF_USE` The meta object literal for the 'PDef Use' reference feature
    `static org.eclipse.emf.ecore.EClass` | `PDEF_USE_CONFIG` The meta object literal for the '`PDef Use Config`' class
    `static org.eclipse.emf.ecore.EReference` | `PDEF_USE_CONFIG__PARAM_VALUES` The meta object literal for the 'Param Values' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `PEP_IMPLEMENTATION` The meta object literal for the '`PEP Implementation`' class
    `static org.eclipse.emf.ecore.EAttribute` | `PEP_IMPLEMENTATION__CUSTOM` The meta object literal for the 'Custom' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `PEP_IMPLEMENTATION__INLINE_CODE_SNIPPETS` The meta object literal for the 'Inline Code Snippets' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PEP_IMPLEMENTATION__PARAMS` The meta object literal for the 'Params' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `PLAIN_TEXT` The meta object literal for the '`Plain Text`' class
    `static org.eclipse.emf.ecore.EAttribute` | `PLAIN_TEXT__STATIC_TEXT` The meta object literal for the 'Static Text' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `POINT` The meta object literal for the '`Point`' class
    `static org.eclipse.emf.ecore.EAttribute` | `POINT__X` The meta object literal for the 'X' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `POINT__Y` The meta object literal for the 'Y' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `PORTAL_EXPOSITION` The meta object literal for the '`Portal Exposition`' class
    `static org.eclipse.emf.ecore.EAttribute` | `PORTAL_EXPOSITION__AREA_CODE` The meta object literal for the 'Area Code' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `PORTAL_EXPOSITION__PORTAL` The meta object literal for the 'Portal' reference feature
    `static org.eclipse.emf.ecore.EEnum` | `PORTAL_NAMES` The meta object literal for the '`Portal Names`' enum
    `static org.eclipse.emf.ecore.EClass` | `PORTAL_PROFILE` The meta object literal for the '`Portal Profile`' class
    `static org.eclipse.emf.ecore.EAttribute` | `PORTAL_PROFILE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `PORTAL_PROFILE__RES_MODULES` The meta object literal for the 'Res Modules' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `PORTAL_PROFILE__RESOURCE_PROVIDER_CODE` The meta object literal for the 'Resource Provider Code' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `PORTAL_PROFILE__WHERE_ARE_YOU_FROM_PORTAL_CODE` The meta object literal for the 'Where Are You From Portal Code' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `RADIO_BUTTON` The meta object literal for the '`Radio Button`' class
    `static org.eclipse.emf.ecore.EAttribute` | `RADIO_BUTTON__VALUE` The meta object literal for the 'Value' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `RADIO_BUTTONS` The meta object literal for the '`Radio Buttons`' class
    `static org.eclipse.emf.ecore.EReference` | `RADIO_BUTTONS__LAYOUT` The meta object literal for the 'Layout' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `RADIO_BUTTONS__RADIO` The meta object literal for the 'Radio' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `REFRESH_VIEW_COMMAND` The meta object literal for the '`Refresh View Command`' class
    `static org.eclipse.emf.ecore.EClass` | `REPART_ARTIFACT` The meta object literal for the '`Repart Artifact`' class
    `static org.eclipse.emf.ecore.EAttribute` | `REPART_ARTIFACT__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `REPART_ARTIFACT__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `REPART_MODULE` The meta object literal for the '`Repart Module`' class
    `static org.eclipse.emf.ecore.EReference` | `REPART_MODULE__ARTIFACTS` The meta object literal for the 'Artifacts' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `REPART_MODULE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `REPART_MODULE__ORGANIZATION` The meta object literal for the 'Organization' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `REPART_MODULE__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `REPART_MODULE__VERSION` The meta object literal for the 'Version' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `REPART_MODULE_TYPES` The meta object literal for the '`Repart Module Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `RESET_BUTTON` The meta object literal for the '`Reset Button`' class
    `static org.eclipse.emf.ecore.EClass` | `ROLE` The meta object literal for the '`Role`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ROLE__CODE` The meta object literal for the 'Code' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ROLE__DOMAIN_CODE` The meta object literal for the 'Domain Code' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `ROLE_BASED_SECURITY_CONSTRAINT` The meta object literal for the '`Role Based Security Constraint`' class
    `static org.eclipse.emf.ecore.EReference` | `ROLE_BASED_SECURITY_CONSTRAINT__ROLE` The meta object literal for the 'Role' reference feature
    `static org.eclipse.emf.ecore.EClass` | `ROLE_MAPPING_PARAM` The meta object literal for the '`Role Mapping Param`' class
    `static org.eclipse.emf.ecore.EReference` | `ROLE_MAPPING_PARAM__DEF_ROLE` The meta object literal for the 'Def Role' reference feature
    `static org.eclipse.emf.ecore.EClass` | `ROLE_MAPPING_PDEF_VAL` The meta object literal for the '`Role Mapping PDef Val`' class
    `static org.eclipse.emf.ecore.EReference` | `ROLE_MAPPING_PDEF_VAL__ACTUAL_ROLE` The meta object literal for the 'Actual Role' reference feature
    `static org.eclipse.emf.ecore.EClass` | `SCREEN_STATE` The meta object literal for the '`Screen State`' class
    `static org.eclipse.emf.ecore.EAttribute` | `SCREEN_STATE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `SCREEN_STATE__WIDGETS_ON` The meta object literal for the 'Widgets On' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `SCREEN_STATE__WIDGETS_VISIBLE` The meta object literal for the 'Widgets Visible' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `SCREEN_STATE_COMMAND` The meta object literal for the '`Screen State Command`' class
    `static org.eclipse.emf.ecore.EReference` | `SCREEN_STATE_COMMAND__GO_TO` The meta object literal for the 'Go To' reference feature
    `static org.eclipse.emf.ecore.EClass` | `SCREEN_STATES` The meta object literal for the '`Screen States`' class
    `static org.eclipse.emf.ecore.EReference` | `SCREEN_STATES__STATES` The meta object literal for the 'States' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `SECURITY_MODEL` The meta object literal for the '`Security Model`' class
    `static org.eclipse.emf.ecore.EReference` | `SECURITY_MODEL__ACTORS` The meta object literal for the 'Actors' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `SECURITY_MODEL__ASK_FOR_CONFIRMATION_ON_LOGOUT` The meta object literal for the 'Ask For Confirmation On Logout' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `SECURITY_MODEL__AUTENTICATION_METHOD` The meta object literal for the 'Autentication Method' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `SECURITY_MODEL__ROLES` The meta object literal for the 'Roles' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `SECURITY_MODEL__SECURITY_APP_ID` The meta object literal for the 'Security App ID' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `SECURITY_MODEL__USE_CASES` The meta object literal for the 'Use Cases' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `SECURITY_MODEL__USER_INFO_LOGOUT_ACTION` The meta object literal for the 'User Info Logout Action' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `SECURITY_PROFILE` The meta object literal for the '`Security Profile`' class
    `static org.eclipse.emf.ecore.EReference` | `SECURITY_PROFILE__EXT_AUTH_GUARD` The meta object literal for the 'Ext Auth Guard' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `SECURITY_PROFILE__ID_ADAPTER` The meta object literal for the 'Id Adapter' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `SECURITY_PROFILE__INT_AUTH_GUARD` The meta object literal for the 'Int Auth Guard' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `SECURITY_PROFILE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `SECURITY_PROFILE__PEP_IMPL` The meta object literal for the 'Pep Impl' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `SEQUENCE_COMMAND` The meta object literal for the '`Sequence Command`' class
    `static org.eclipse.emf.ecore.EReference` | `SEQUENCE_COMMAND__COMMANDS` The meta object literal for the 'Commands' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `SHIBBOLETH_SSO` The meta object literal for the '`Shibboleth SSO`' class
    `static org.eclipse.emf.ecore.EClass` | `SHOW_DIALOG_COMMAND` The meta object literal for the '`Show Dialog Command`' class
    `static org.eclipse.emf.ecore.EReference` | `SHOW_DIALOG_COMMAND__DIALOG` The meta object literal for the 'Dialog' reference feature
    `static org.eclipse.emf.ecore.EClass` | `SIMPLE_TYPE` The meta object literal for the '`Simple Type`' class
    `static org.eclipse.emf.ecore.EAttribute` | `SIMPLE_TYPE__CODE` The meta object literal for the 'Code' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `SIMPLE_TYPE__DATA_TYPE_MODIFIERS` The meta object literal for the 'Data Type Modifiers' attribute list feature
    `static org.eclipse.emf.ecore.EAttribute` | `SIMPLE_TYPE__EDIT_HINT_MSG` The meta object literal for the 'Edit Hint Msg' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `SIMPLE_TYPE__NILLABLE` The meta object literal for the 'Nillable' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `SIMPLE_TYPE__USER_DEFINED` The meta object literal for the 'User Defined' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `SIMPLE_TYPE_CODES` The meta object literal for the '`Simple Type Codes`' enum
    `static org.eclipse.emf.ecore.EClass` | `SLIDER` The meta object literal for the '`Slider`' class
    `static org.eclipse.emf.ecore.EAttribute` | `SLIDER__STATIC_LOWER_BOUND` The meta object literal for the 'Static Lower Bound' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `SLIDER__STATIC_STEP` The meta object literal for the 'Static Step' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `SLIDER__STATIC_UPPER_BOUND` The meta object literal for the 'Static Upper Bound' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `SLIDER__USE_COLLECTION_DATA_AS` The meta object literal for the 'Use Collection Data As' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `SLIDER_COLLECTION_VALUES_USAGE_TYPES` The meta object literal for the '`Slider Collection Values Usage Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `SSOBARTSSO` The meta object literal for the '`SSOBARTSSO`' class
    `static org.eclipse.emf.ecore.EClass` | `STATIC_LINKS` The meta object literal for the '`Static Links`' class
    `static org.eclipse.emf.ecore.EClass` | `STATUSBAR` The meta object literal for the '`Statusbar`' class
    `static org.eclipse.emf.ecore.EClass` | `STD_MESSAGE_PANEL` The meta object literal for the '`Std Message Panel`' class
    `static org.eclipse.emf.ecore.EAttribute` | `STD_MESSAGE_PANEL__SHOW_FIELD_ERROR_DETAILS` The meta object literal for the 'Show Field Error Details' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `STD_MESSAGE_PANEL__SHOW_FIELD_ERRORS` The meta object literal for the 'Show Field Errors' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `STD_MESSAGE_PANEL__SHOW_GLOBAL_MESSAGES` The meta object literal for the 'Show Global Messages' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `STD_WEB_RES_MODULE_NAMES` The meta object literal for the '`Std Web Res Module Names`' enum
    `static org.eclipse.emf.ecore.EClass` | `STD_WEB_RESOURCE_MODULE` The meta object literal for the '`Std Web Resource Module`' class
    `static org.eclipse.emf.ecore.EAttribute` | `STD_WEB_RESOURCE_MODULE__STD_NAME` The meta object literal for the 'Std Name' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TAB_SET_PANEL` The meta object literal for the '`Tab Set Panel`' class
    `static org.eclipse.emf.ecore.EReference` | `TAB_SET_PANEL__SWITCHER` The meta object literal for the 'Switcher' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `TAB_SWITCHER` The meta object literal for the '`Tab Switcher`' class
    `static org.eclipse.emf.ecore.EClass` | `TABLE` The meta object literal for the '`Table`' class
    `static org.eclipse.emf.ecore.EReference` | `TABLE__COLUMN_MODEL` The meta object literal for the 'Column Model' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `TABLE__CUSTOM_DECORATOR` The meta object literal for the 'Custom Decorator' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TABLE__ENABLE_EXPORT` The meta object literal for the 'Enable Export' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TABLE__PAGE_SIZE` The meta object literal for the 'Page Size' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TABLE__SUMMARY` The meta object literal for the 'Summary' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TABLE_CUSTOMIZATION_PARAM` The meta object literal for the '`Table Customization Param`' class
    `static org.eclipse.emf.ecore.EReference` | `TABLE_CUSTOMIZATION_PARAM__BASE_TABLE` The meta object literal for the 'Base Table' reference feature
    `static org.eclipse.emf.ecore.EClass` | `TABLE_CUSTOMIZATION_PDEF_VAL` The meta object literal for the '`Table Customization PDef Val`' class
    `static org.eclipse.emf.ecore.EReference` | `TABLE_CUSTOMIZATION_PDEF_VAL__EXTRA_COLS` The meta object literal for the 'Extra Cols' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `TABLE_CUSTOMIZATION_PDEF_VAL__HIDDEN_COLS` The meta object literal for the 'Hidden Cols' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `TARGET_PLATFORM` The meta object literal for the '`Target Platform`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TARGET_PLATFORM__CODE` The meta object literal for the 'Code' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TARGET_PLATFORM__ENABLE_FAT_CLIENT` The meta object literal for the 'Enable Fat Client' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TARGET_PLATFORM__ENABLE_RICH_UI_BEHAVIOR` The meta object literal for the 'Enable Rich UI Behavior' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TARGET_PLATFORM__PORTAL_EXPOSITIONS` The meta object literal for the 'Portal Expositions' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `TARGET_PLATFORM__SECURITY_PROFILE` The meta object literal for the 'Security Profile' reference feature
    `static org.eclipse.emf.ecore.EReference` | `TARGET_PLATFORM__WAYF_PROFILE` The meta object literal for the 'Wayf Profile' reference feature
    `static org.eclipse.emf.ecore.EEnum` | `TARGET_PLATFORM_CODES` The meta object literal for the '`Target Platform Codes`' enum
    `static org.eclipse.emf.ecore.EClass` | `TEXT_AREA` The meta object literal for the '`Text Area`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TEXT_AREA__COLUMNS` The meta object literal for the 'Columns' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEXT_AREA__ROWS` The meta object literal for the 'Rows' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TEXT_FIELD` The meta object literal for the '`Text Field`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TEXT_FIELD__FIELD_LENGTH` The meta object literal for the 'Field Length' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TEXT_FIELD__FIELD_MAX_LENGTH` The meta object literal for the 'Field Max Length' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `TICKET_VERIFY_METHOD` The meta object literal for the '`Ticket Verify Method`' enum
    `static org.eclipse.emf.ecore.EClass` | `TITLEBAR` The meta object literal for the '`Titlebar`' class
    `static org.eclipse.emf.ecore.EEnum` | `TREE_SELECTION_TYPES` The meta object literal for the '`Tree Selection Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `TREE_VIEW` The meta object literal for the '`Tree View`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TREE_VIEW__NODE_SELECTION_TYPE` The meta object literal for the 'Node Selection Type' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TYPE` The meta object literal for the '`Type`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TYPE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TYPE_ANNOTATION` The meta object literal for the '`Type Annotation`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TYPE_ANNOTATION__FQN` The meta object literal for the 'Fqn' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TYPE_ANNOTATION__LANGUAGE` The meta object literal for the 'Language' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TYPE_DEF_MAPPING_PARAM` The meta object literal for the '`Type Def Mapping Param`' class
    `static org.eclipse.emf.ecore.EReference` | `TYPE_DEF_MAPPING_PARAM__DEF_TYPE_DEF` The meta object literal for the 'Def Type Def' reference feature
    `static org.eclipse.emf.ecore.EClass` | `TYPE_DEF_MAPPING_PDEF_VAL` The meta object literal for the '`Type Def Mapping PDef Val`' class
    `static org.eclipse.emf.ecore.EReference` | `TYPE_DEF_MAPPING_PDEF_VAL__ACTUAL_TYPE_DEF` The meta object literal for the 'Actual Type Def' reference feature
    `static org.eclipse.emf.ecore.EClass` | `TYPE_NAMESPACE` The meta object literal for the '`Type Namespace`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TYPE_NAMESPACE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TYPE_NAMESPACE__TYPES` The meta object literal for the 'Types' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `TYPED_ARRAY` The meta object literal for the '`Typed Array`' class
    `static org.eclipse.emf.ecore.EReference` | `TYPED_ARRAY__COMPONENT_TYPE` The meta object literal for the 'Component Type' reference feature
    `static org.eclipse.emf.ecore.EClass` | `TYPEDEFS` The meta object literal for the '`Typedefs`' class
    `static org.eclipse.emf.ecore.EReference` | `TYPEDEFS__EXT_NAMESPACES` The meta object literal for the 'Ext Namespaces' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `TYPEDEFS__NAMESPACES` The meta object literal for the 'Namespaces' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `TYPEDEFS__TYPES` The meta object literal for the 'Types' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `UC_BASED_SECURITY_CONSTRAINT` The meta object literal for the '`UC Based Security Constraint`' class
    `static org.eclipse.emf.ecore.EReference` | `UC_BASED_SECURITY_CONSTRAINT__USE_CASE` The meta object literal for the 'Use Case' reference feature
    `static org.eclipse.emf.ecore.EClass` | `UC_MAPPING_PDEF_VAL` The meta object literal for the '`UC Mapping PDef Val`' class
    `static org.eclipse.emf.ecore.EReference` | `UC_MAPPING_PDEF_VAL__ACTUAL_USE_CASE` The meta object literal for the 'Actual Use Case' reference feature
    `static org.eclipse.emf.ecore.EClass` | `UDLRC_PANEL_LAYOUT` The meta object literal for the '`UDLRC Panel Layout`' class
    `static org.eclipse.emf.ecore.EEnum` | `UDLRC_SPEC_CONSTANTS` The meta object literal for the '`UDLRC Spec Constants`' enum
    `static org.eclipse.emf.ecore.EClass` | `UDLRC_WIDGET_LAYOUT_SPEC` The meta object literal for the '`UDLRC Widget Layout Spec`' class
    `static org.eclipse.emf.ecore.EAttribute` | `UDLRC_WIDGET_LAYOUT_SPEC__VALUE` The meta object literal for the 'Value' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `UI_SECURITY_CONSTRAINT` The meta object literal for the '`UI Security Constraint`' class
    `static org.eclipse.emf.ecore.EAttribute` | `UI_SECURITY_CONSTRAINT__ENABLED` The meta object literal for the 'Enabled' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `UI_SECURITY_CONSTRAINT__VISIBLE` The meta object literal for the 'Visible' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `USE_CASE` The meta object literal for the '`Use Case`' class
    `static org.eclipse.emf.ecore.EAttribute` | `USE_CASE__CODE` The meta object literal for the 'Code' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `USE_CASE__PERMISSION` The meta object literal for the 'Permission' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `USE_CASE_MAPPING_PARAM` The meta object literal for the '`Use Case Mapping Param`' class
    `static org.eclipse.emf.ecore.EReference` | `USE_CASE_MAPPING_PARAM__DEF_USE_CASE` The meta object literal for the 'Def Use Case' reference feature
    `static org.eclipse.emf.ecore.EClass` | `USER_DEFINED_PANEL` The meta object literal for the '`User Defined Panel`' class
    `static org.eclipse.emf.ecore.EClass` | `USER_DEFINED_WIDGET` The meta object literal for the '`User Defined Widget`' class
    `static org.eclipse.emf.ecore.EClass` | `USER_INFO_PANEL` The meta object literal for the '`User Info Panel`' class
    `static org.eclipse.emf.ecore.EClass` | `VERTICAL_FLOW_PANEL_LAYOUT` The meta object literal for the '`Vertical Flow Panel Layout`' class
    `static org.eclipse.emf.ecore.EClass` | `VISIBILITY_COMMAND` The meta object literal for the '`Visibility Command`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VISIBILITY_COMMAND__SHOW` The meta object literal for the 'Show' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `WAYF_PROFILE` The meta object literal for the '`WAYF Profile`' class
    `static org.eclipse.emf.ecore.EReference` | `WAYF_PROFILE__REQUEST_ADAPTER` The meta object literal for the 'Request Adapter' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `WAYF_REQUEST_ADAPTER` The meta object literal for the '`WAYF Request Adapter`' class
    `static org.eclipse.emf.ecore.EAttribute` | `WAYF_REQUEST_ADAPTER__INFO_SOURCE_NAME` The meta object literal for the 'Info Source Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `WAYF_REQUEST_ADAPTER__SOURCE_TYPE` The meta object literal for the 'Source Type' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `WEB_RES_MODULE_DEPLOY_TYPES` The meta object literal for the '`Web Res Module Deploy Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `WEB_RESOURCE_MODULE` The meta object literal for the '`Web Resource Module`' class
    `static org.eclipse.emf.ecore.EAttribute` | `WEB_RESOURCE_MODULE__DEPLOYMENT_TYPE` The meta object literal for the 'Deployment Type' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `WEB_RESOURCE_MODULE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `WEB_RESOURCE_MODULE__REPART_MODULE` The meta object literal for the 'Repart Module' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `WEB_RESOURCE_MODULE__VERSION` The meta object literal for the 'Version' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `WIDGET` The meta object literal for the '`Widget`' class
    `static org.eclipse.emf.ecore.EAttribute` | `WIDGET__DEFAULT_ENABLED` The meta object literal for the 'Default Enabled' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `WIDGET__DEFAULT_VISIBLE` The meta object literal for the 'Default Visible' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `WIDGET__ENABLE_ENRICHMENT` The meta object literal for the 'Enable Enrichment' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `WIDGET__EVENT_HANDLERS` The meta object literal for the 'Event Handlers' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `WIDGET__LABEL` The meta object literal for the 'Label' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `WIDGET__LAYOUT_SPEC` The meta object literal for the 'Layout Spec' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `WIDGET__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `WIDGET__SECURITY_CONSTRAINTS` The meta object literal for the 'Security Constraints' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `WIDGET__TOOLTIP` The meta object literal for the 'Tooltip' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `WIDGET_DATA_TYPE` The meta object literal for the '`Widget Data Type`' enum
    `static org.eclipse.emf.ecore.EClass` | `WIDGET_LAYOUT_SPECIFIER` The meta object literal for the '`Widget Layout Specifier`' class
    `static org.eclipse.emf.ecore.EClass` | `WIDGET_TARGET_ACTION` The meta object literal for the '`Widget Target Action`' class
    `static org.eclipse.emf.ecore.EClass` | `WIDGETS_PANEL` The meta object literal for the '`Widgets Panel`' class
    `static org.eclipse.emf.ecore.EAttribute` | `WIDGETS_PANEL__COLLAPSIBLE` The meta object literal for the 'Collapsible' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `WIDGETS_PANEL__SUMMARY` The meta object literal for the 'Summary' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `WIDGETS_PANEL__WIDGETS` The meta object literal for the 'Widgets' containment reference list feature
    `static org.eclipse.emf.ecore.EEnum` | `WIZARD_NUMBERING_TYPES` The meta object literal for the '`Wizard Numbering Types`' enum
    `static org.eclipse.emf.ecore.EClass` | `WIZARD_PANEL` The meta object literal for the '`Wizard Panel`' class
    `static org.eclipse.emf.ecore.EAttribute` | `WIZARD_PANEL__NAVIGATOR_ACTIVE` The meta object literal for the 'Navigator Active' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `WIZARD_PANEL__NUMBERING_SCHEMA` The meta object literal for the 'Numbering Schema' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `WIZARD_PANEL__SWITCHER` The meta object literal for the 'Switcher' containment reference feature

- - ### Field Detail

    - #### APPLICATION_AREA

          static final org.eclipse.emf.ecore.EClass APPLICATION_AREA

      The meta object literal for the '`Application Area`' class.
      See Also:
        `ApplicationAreaImpl`, `GuigenPackageImpl.getApplicationArea()`

    - #### APPLICATION_AREA__MENUBAR

          static final org.eclipse.emf.ecore.EReference APPLICATION_AREA__MENUBAR

      The meta object literal for the 'Menubar' containment reference feature.

    - #### APPLICATION_AREA__TITLEBAR

          static final org.eclipse.emf.ecore.EReference APPLICATION_AREA__TITLEBAR

      The meta object literal for the 'Titlebar' containment reference feature.

    - #### APPLICATION_AREA__STATUSBAR

          static final org.eclipse.emf.ecore.EReference APPLICATION_AREA__STATUSBAR

      The meta object literal for the 'Statusbar' containment reference feature.

    - #### APPLICATION_AREA__CONTENT_PANELS

          static final org.eclipse.emf.ecore.EReference APPLICATION_AREA__CONTENT_PANELS

      The meta object literal for the 'Content Panels' containment reference list feature.

    - #### APPLICATION_AREA__STATIC_LINKS

          static final org.eclipse.emf.ecore.EReference APPLICATION_AREA__STATIC_LINKS

      The meta object literal for the 'Static Links' containment reference feature.

    - #### APPLICATION_AREA__ON_INIT_COMMAND

          static final org.eclipse.emf.ecore.EReference APPLICATION_AREA__ON_INIT_COMMAND

      The meta object literal for the 'On Init Command' containment reference feature.

    - #### APPLICATION_AREA__MODULES

          static final org.eclipse.emf.ecore.EReference APPLICATION_AREA__MODULES

      The meta object literal for the 'Modules' containment reference list feature.

    - #### APPLICATION_AREA__EXT_MODULES

          static final org.eclipse.emf.ecore.EReference APPLICATION_AREA__EXT_MODULES

      The meta object literal for the 'Ext Modules' reference list feature.

    - #### APPLICATION_AREA__HOME_PAGE

          static final org.eclipse.emf.ecore.EReference APPLICATION_AREA__HOME_PAGE

      The meta object literal for the 'Home Page' reference feature.

    - #### MENUBAR

          static final org.eclipse.emf.ecore.EClass MENUBAR

      The meta object literal for the '`Menubar`' class.
      See Also:
        `MenubarImpl`, `GuigenPackageImpl.getMenubar()`

    - #### MENUBAR__TOP_LEVEL_MENU

          static final org.eclipse.emf.ecore.EReference MENUBAR__TOP_LEVEL_MENU

      The meta object literal for the 'Top Level Menu' containment reference list feature.

    - #### MENUBAR__REMOTE_INFO_BOX

          static final org.eclipse.emf.ecore.EAttribute MENUBAR__REMOTE_INFO_BOX

      The meta object literal for the 'Remote Info Box' attribute feature.

    - #### STATUSBAR

          static final org.eclipse.emf.ecore.EClass STATUSBAR

      The meta object literal for the '`Statusbar`' class.
      See Also:
        `StatusbarImpl`, `GuigenPackageImpl.getStatusbar()`

    - #### TITLEBAR

          static final org.eclipse.emf.ecore.EClass TITLEBAR

      The meta object literal for the '`Titlebar`' class.
      See Also:
        `TitlebarImpl`, `GuigenPackageImpl.getTitlebar()`

    - #### CONTENT_PANEL

          static final org.eclipse.emf.ecore.EClass CONTENT_PANEL

      The meta object literal for the '`Content Panel`' class.
      See Also:
        `ContentPanelImpl`, `GuigenPackageImpl.getContentPanel()`

    - #### CONTENT_PANEL__PANELS

          static final org.eclipse.emf.ecore.EReference CONTENT_PANEL__PANELS

      The meta object literal for the 'Panels' containment reference feature.

    - #### CONTENT_PANEL__NAME

          static final org.eclipse.emf.ecore.EAttribute CONTENT_PANEL__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### CONTENT_PANEL__APP_DATA

          static final org.eclipse.emf.ecore.EReference CONTENT_PANEL__APP_DATA

      The meta object literal for the 'App Data' reference list feature.

    - #### CONTENT_PANEL__ON_REFRESH_COMMAND

          static final org.eclipse.emf.ecore.EReference CONTENT_PANEL__ON_REFRESH_COMMAND

      The meta object literal for the 'On Refresh Command' containment reference feature.

    - #### CONTENT_PANEL__DIALOGS

          static final org.eclipse.emf.ecore.EReference CONTENT_PANEL__DIALOGS

      The meta object literal for the 'Dialogs' containment reference list feature.

    - #### CONTENT_PANEL__STATES

          static final org.eclipse.emf.ecore.EReference CONTENT_PANEL__STATES

      The meta object literal for the 'States' containment reference feature.

    - #### CONTENT_PANEL__DEFAULT_STATE

          static final org.eclipse.emf.ecore.EReference CONTENT_PANEL__DEFAULT_STATE

      The meta object literal for the 'Default State' reference feature.

    - #### CONTENT_PANEL__CP_COMMANDS

          static final org.eclipse.emf.ecore.EReference CONTENT_PANEL__CP_COMMANDS

      The meta object literal for the 'Cp Commands' containment reference feature.

    - #### FORM_PANEL

          static final org.eclipse.emf.ecore.EClass FORM_PANEL

      The meta object literal for the '`Form Panel`' class.
      See Also:
        `FormPanelImpl`, `GuigenPackageImpl.getFormPanel()`

    - #### FORM_PANEL__SUBPANELS

          static final org.eclipse.emf.ecore.EReference FORM_PANEL__SUBPANELS

      The meta object literal for the 'Subpanels' containment reference list feature.

    - #### FORM_PANEL__WIDGETS

          static final org.eclipse.emf.ecore.EReference FORM_PANEL__WIDGETS

      The meta object literal for the 'Widgets' containment reference list feature.

    - #### FORM_PANEL__COLLAPSIBLE

          static final org.eclipse.emf.ecore.EAttribute FORM_PANEL__COLLAPSIBLE

      The meta object literal for the 'Collapsible' attribute feature.

    - #### TAB_SET_PANEL

          static final org.eclipse.emf.ecore.EClass TAB_SET_PANEL

      The meta object literal for the '`Tab Set Panel`' class.
      See Also:
        `TabSetPanelImpl`, `GuigenPackageImpl.getTabSetPanel()`

    - #### TAB_SET_PANEL__SWITCHER

          static final org.eclipse.emf.ecore.EReference TAB_SET_PANEL__SWITCHER

      The meta object literal for the 'Switcher' containment reference feature.

    - #### PANEL

          static final org.eclipse.emf.ecore.EClass PANEL

      The meta object literal for the '`Panel`' class.
      See Also:
        `PanelImpl`, `GuigenPackageImpl.getPanel()`

    - #### PANEL__NAME

          static final org.eclipse.emf.ecore.EAttribute PANEL__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### PANEL__LABEL

          static final org.eclipse.emf.ecore.EAttribute PANEL__LABEL

      The meta object literal for the 'Label' attribute feature.

    - #### PANEL__LAYOUT

          static final org.eclipse.emf.ecore.EReference PANEL__LAYOUT

      The meta object literal for the 'Layout' containment reference feature.

    - #### PANEL__LAYOUT_SPEC

          static final org.eclipse.emf.ecore.EReference PANEL__LAYOUT_SPEC

      The meta object literal for the 'Layout Spec' containment reference feature.

    - #### PANEL__SCROLLABLE

          static final org.eclipse.emf.ecore.EAttribute PANEL__SCROLLABLE

      The meta object literal for the 'Scrollable' attribute feature.

    - #### WIDGET

          static final org.eclipse.emf.ecore.EClass WIDGET

      The meta object literal for the '`Widget`' class.
      See Also:
        `WidgetImpl`, `GuigenPackageImpl.getWidget()`

    - #### WIDGET__NAME

          static final org.eclipse.emf.ecore.EAttribute WIDGET__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### WIDGET__LABEL

          static final org.eclipse.emf.ecore.EAttribute WIDGET__LABEL

      The meta object literal for the 'Label' attribute feature.

    - #### WIDGET__LAYOUT_SPEC

          static final org.eclipse.emf.ecore.EReference WIDGET__LAYOUT_SPEC

      The meta object literal for the 'Layout Spec' containment reference feature.

    - #### WIDGET__EVENT_HANDLERS

          static final org.eclipse.emf.ecore.EReference WIDGET__EVENT_HANDLERS

      The meta object literal for the 'Event Handlers' containment reference list feature.

    - #### WIDGET__SECURITY_CONSTRAINTS

          static final org.eclipse.emf.ecore.EReference WIDGET__SECURITY_CONSTRAINTS

      The meta object literal for the 'Security Constraints' containment reference list feature.

    - #### WIDGET__DEFAULT_VISIBLE

          static final org.eclipse.emf.ecore.EAttribute WIDGET__DEFAULT_VISIBLE

      The meta object literal for the 'Default Visible' attribute feature.

    - #### WIDGET__DEFAULT_ENABLED

          static final org.eclipse.emf.ecore.EAttribute WIDGET__DEFAULT_ENABLED

      The meta object literal for the 'Default Enabled' attribute feature.

    - #### WIDGET__TOOLTIP

          static final org.eclipse.emf.ecore.EAttribute WIDGET__TOOLTIP

      The meta object literal for the 'Tooltip' attribute feature.

    - #### WIDGET__ENABLE_ENRICHMENT

          static final org.eclipse.emf.ecore.EAttribute WIDGET__ENABLE_ENRICHMENT

      The meta object literal for the 'Enable Enrichment' attribute feature.

    - #### COMMAND_WIDGET

          static final org.eclipse.emf.ecore.EClass COMMAND_WIDGET

      The meta object literal for the '`Command Widget`' class.
      See Also:
        `CommandWidgetImpl`, `GuigenPackageImpl.getCommandWidget()`

    - #### COMMAND_WIDGET__FUNCTION_SPECIFIER

          static final org.eclipse.emf.ecore.EAttribute COMMAND_WIDGET__FUNCTION_SPECIFIER

      The meta object literal for the 'Function Specifier' attribute feature.

    - #### DATA_WIDGET

          static final org.eclipse.emf.ecore.EClass DATA_WIDGET

      The meta object literal for the '`Data Widget`' class.
      See Also:
        `DataWidgetImpl`, `GuigenPackageImpl.getDataWidget()`

    - #### DATA_WIDGET__DATA_TYPE

          static final org.eclipse.emf.ecore.EReference DATA_WIDGET__DATA_TYPE

      The meta object literal for the 'Data Type' reference feature.

    - #### DATA_WIDGET__REQUIRED

          static final org.eclipse.emf.ecore.EAttribute DATA_WIDGET__REQUIRED

      The meta object literal for the 'Required' attribute feature.

    - #### DATA_WIDGET__DATA_TYPE_MODIFIER

          static final org.eclipse.emf.ecore.EAttribute DATA_WIDGET__DATA_TYPE_MODIFIER

      The meta object literal for the 'Data Type Modifier' attribute feature.

    - #### DATA_WIDGET__DATABINDING

          static final org.eclipse.emf.ecore.EReference DATA_WIDGET__DATABINDING

      The meta object literal for the 'Databinding' containment reference feature.

    - #### BUTTON

          static final org.eclipse.emf.ecore.EClass BUTTON

      The meta object literal for the '`Button`' class.
      See Also:
        `ButtonImpl`, `GuigenPackageImpl.getButton()`

    - #### BUTTON__IMAGE

          static final org.eclipse.emf.ecore.EAttribute BUTTON__IMAGE

      The meta object literal for the 'Image' attribute feature.

    - #### TEXT_FIELD

          static final org.eclipse.emf.ecore.EClass TEXT_FIELD

      The meta object literal for the '`Text Field`' class.
      See Also:
        `TextFieldImpl`, `GuigenPackageImpl.getTextField()`

    - #### TEXT_FIELD__FIELD_LENGTH

          static final org.eclipse.emf.ecore.EAttribute TEXT_FIELD__FIELD_LENGTH

      The meta object literal for the 'Field Length' attribute feature.

    - #### TEXT_FIELD__FIELD_MAX_LENGTH

          static final org.eclipse.emf.ecore.EAttribute TEXT_FIELD__FIELD_MAX_LENGTH

      The meta object literal for the 'Field Max Length' attribute feature.

    - #### TEXT_AREA

          static final org.eclipse.emf.ecore.EClass TEXT_AREA

      The meta object literal for the '`Text Area`' class.
      See Also:
        `TextAreaImpl`, `GuigenPackageImpl.getTextArea()`

    - #### TEXT_AREA__ROWS

          static final org.eclipse.emf.ecore.EAttribute TEXT_AREA__ROWS

      The meta object literal for the 'Rows' attribute feature.

    - #### TEXT_AREA__COLUMNS

          static final org.eclipse.emf.ecore.EAttribute TEXT_AREA__COLUMNS

      The meta object literal for the 'Columns' attribute feature.

    - #### CALENDAR

          static final org.eclipse.emf.ecore.EClass CALENDAR

      The meta object literal for the '`Calendar`' class.
      See Also:
        `CalendarImpl`, `GuigenPackageImpl.getCalendar()`

    - #### CALENDAR__SELECT_YEAR

          static final org.eclipse.emf.ecore.EAttribute CALENDAR__SELECT_YEAR

      The meta object literal for the 'Select Year' attribute feature.

    - #### CALENDAR__SELECT_MONTH

          static final org.eclipse.emf.ecore.EAttribute CALENDAR__SELECT_MONTH

      The meta object literal for the 'Select Month' attribute feature.

    - #### CALENDAR__SELECT_YEAR_RANGE

          static final org.eclipse.emf.ecore.EAttribute CALENDAR__SELECT_YEAR_RANGE

      The meta object literal for the 'Select Year Range' attribute feature.

    - #### COMBO_BOX

          static final org.eclipse.emf.ecore.EClass COMBO_BOX

      The meta object literal for the '`Combo Box`' class.
      See Also:
        `ComboBoxImpl`, `GuigenPackageImpl.getComboBox()`

    - #### COMBO_BOX__KEY_SELECTOR

          static final org.eclipse.emf.ecore.EAttribute COMBO_BOX__KEY_SELECTOR

      The meta object literal for the 'Key Selector' attribute feature.

    - #### COMBO_BOX__VALUE_SELECTOR

          static final org.eclipse.emf.ecore.EAttribute COMBO_BOX__VALUE_SELECTOR

      The meta object literal for the 'Value Selector' attribute feature.

    - #### COMBO_BOX__OMIT_HEADER_VALUE

          static final org.eclipse.emf.ecore.EAttribute COMBO_BOX__OMIT_HEADER_VALUE

      The meta object literal for the 'Omit Header Value' attribute feature.

    - #### COMBO_BOX__FIELD_LENGTH

          static final org.eclipse.emf.ecore.EAttribute COMBO_BOX__FIELD_LENGTH

      The meta object literal for the 'Field Length' attribute feature.

    - #### COMBO_BOX__VISIBLE_LINES

          static final org.eclipse.emf.ecore.EAttribute COMBO_BOX__VISIBLE_LINES

      The meta object literal for the 'Visible Lines' attribute feature.

    - #### TABLE

          static final org.eclipse.emf.ecore.EClass TABLE

      The meta object literal for the '`Table`' class.
      See Also:
        `TableImpl`, `GuigenPackageImpl.getTable()`

    - #### TABLE__COLUMN_MODEL

          static final org.eclipse.emf.ecore.EReference TABLE__COLUMN_MODEL

      The meta object literal for the 'Column Model' containment reference feature.

    - #### TABLE__PAGE_SIZE

          static final org.eclipse.emf.ecore.EAttribute TABLE__PAGE_SIZE

      The meta object literal for the 'Page Size' attribute feature.

    - #### TABLE__ENABLE_EXPORT

          static final org.eclipse.emf.ecore.EAttribute TABLE__ENABLE_EXPORT

      The meta object literal for the 'Enable Export' attribute feature.

    - #### TABLE__CUSTOM_DECORATOR

          static final org.eclipse.emf.ecore.EAttribute TABLE__CUSTOM_DECORATOR

      The meta object literal for the 'Custom Decorator' attribute feature.

    - #### TABLE__SUMMARY

          static final org.eclipse.emf.ecore.EAttribute TABLE__SUMMARY

      The meta object literal for the 'Summary' attribute feature.

    - #### CHECK_BOX

          static final org.eclipse.emf.ecore.EClass CHECK_BOX

      The meta object literal for the '`Check Box`' class.
      See Also:
        `CheckBoxImpl`, `GuigenPackageImpl.getCheckBox()`

    - #### GUI_MODEL

          static final org.eclipse.emf.ecore.EClass GUI_MODEL

      The meta object literal for the '`GUI Model`' class.
      See Also:
        `GUIModelImpl`, `GuigenPackageImpl.getGUIModel()`

    - #### GUI_MODEL__STRUCTURE

          static final org.eclipse.emf.ecore.EReference GUI_MODEL__STRUCTURE

      The meta object literal for the 'Structure' containment reference feature.

    - #### GUI_MODEL__BEAHVIORS

          static final org.eclipse.emf.ecore.EReference GUI_MODEL__BEAHVIORS

      The meta object literal for the 'Beahviors' containment reference feature.

    - #### GUI_MODEL__COD_PRODOTTO

          static final org.eclipse.emf.ecore.EAttribute GUI_MODEL__COD_PRODOTTO

      The meta object literal for the 'Cod Prodotto' attribute feature.

    - #### GUI_MODEL__COD_COMPONENTE

          static final org.eclipse.emf.ecore.EAttribute GUI_MODEL__COD_COMPONENTE

      The meta object literal for the 'Cod Componente' attribute feature.

    - #### GUI_MODEL__VERSIONE_PRODOTTO

          static final org.eclipse.emf.ecore.EAttribute GUI_MODEL__VERSIONE_PRODOTTO

      The meta object literal for the 'Versione Prodotto' attribute feature.

    - #### GUI_MODEL__VERSIONE_COMPONENTE

          static final org.eclipse.emf.ecore.EAttribute GUI_MODEL__VERSIONE_COMPONENTE

      The meta object literal for the 'Versione Componente' attribute feature.

    - #### GUI_MODEL__TYPEDEFS

          static final org.eclipse.emf.ecore.EReference GUI_MODEL__TYPEDEFS

      The meta object literal for the 'Typedefs' containment reference feature.

    - #### GUI_MODEL__APP_DATA_DEFS

          static final org.eclipse.emf.ecore.EReference GUI_MODEL__APP_DATA_DEFS

      The meta object literal for the 'App Data Defs' containment reference feature.

    - #### GUI_MODEL__PORTALE

          static final org.eclipse.emf.ecore.EAttribute GUI_MODEL__PORTALE

      The meta object literal for the 'Portale' attribute feature.

    - #### GUI_MODEL__SECURITY_MODEL

          static final org.eclipse.emf.ecore.EReference GUI_MODEL__SECURITY_MODEL

      The meta object literal for the 'Security Model' containment reference feature.

    - #### GUI_MODEL__EXT_SECURITY_MODEL

          static final org.eclipse.emf.ecore.EReference GUI_MODEL__EXT_SECURITY_MODEL

      The meta object literal for the 'Ext Security Model' reference feature.

    - #### GUI_MODEL__TARGET_PLATFORM

          static final org.eclipse.emf.ecore.EReference GUI_MODEL__TARGET_PLATFORM

      The meta object literal for the 'Target Platform' containment reference feature.

    - #### GUI_MODEL__ACTIVATION_MODEL

          static final org.eclipse.emf.ecore.EReference GUI_MODEL__ACTIVATION_MODEL

      The meta object literal for the 'Activation Model' containment reference feature.

    - #### GUI_STRUCTURE

          static final org.eclipse.emf.ecore.EClass GUI_STRUCTURE

      The meta object literal for the '`GUI Structure`' class.
      See Also:
        `GUIStructureImpl`, `GuigenPackageImpl.getGUIStructure()`

    - #### GUI_STRUCTURE__APP_WINDOW

          static final org.eclipse.emf.ecore.EReference GUI_STRUCTURE__APP_WINDOW

      The meta object literal for the 'App Window' containment reference feature.

    - #### GUI_BEHAVIORS

          static final org.eclipse.emf.ecore.EClass GUI_BEHAVIORS

      The meta object literal for the '`GUI Behaviors`' class.
      See Also:
        `GUIBehaviorsImpl`, `GuigenPackageImpl.getGUIBehaviors()`

    - #### RADIO_BUTTONS

          static final org.eclipse.emf.ecore.EClass RADIO_BUTTONS

      The meta object literal for the '`Radio Buttons`' class.
      See Also:
        `RadioButtonsImpl`, `GuigenPackageImpl.getRadioButtons()`

    - #### RADIO_BUTTONS__RADIO

          static final org.eclipse.emf.ecore.EReference RADIO_BUTTONS__RADIO

      The meta object literal for the 'Radio' containment reference list feature.

    - #### RADIO_BUTTONS__LAYOUT

          static final org.eclipse.emf.ecore.EReference RADIO_BUTTONS__LAYOUT

      The meta object literal for the 'Layout' containment reference feature.

    - #### RADIO_BUTTON

          static final org.eclipse.emf.ecore.EClass RADIO_BUTTON

      The meta object literal for the '`Radio Button`' class.
      See Also:
        `RadioButtonImpl`, `GuigenPackageImpl.getRadioButton()`

    - #### RADIO_BUTTON__VALUE

          static final org.eclipse.emf.ecore.EAttribute RADIO_BUTTON__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### RESET_BUTTON

          static final org.eclipse.emf.ecore.EClass RESET_BUTTON

      The meta object literal for the '`Reset Button`' class.
      See Also:
        `ResetButtonImpl`, `GuigenPackageImpl.getResetButton()`

    - #### CONFIRM_BUTTON

          static final org.eclipse.emf.ecore.EClass CONFIRM_BUTTON

      The meta object literal for the '`Confirm Button`' class.
      See Also:
        `ConfirmButtonImpl`, `GuigenPackageImpl.getConfirmButton()`

    - #### PANEL_LAYOUT

          static final org.eclipse.emf.ecore.EClass PANEL_LAYOUT

      The meta object literal for the '`Panel Layout`' class.
      See Also:
        `PanelLayoutImpl`, `GuigenPackageImpl.getPanelLayout()`

    - #### PANEL_LAYOUT__COLUMN_SIZES

          static final org.eclipse.emf.ecore.EAttribute PANEL_LAYOUT__COLUMN_SIZES

      The meta object literal for the 'Column Sizes' attribute feature.

    - #### HORIZONTAL_FLOW_PANEL_LAYOUT

          static final org.eclipse.emf.ecore.EClass HORIZONTAL_FLOW_PANEL_LAYOUT

      The meta object literal for the '`Horizontal Flow Panel Layout`' class.
      See Also:
        `HorizontalFlowPanelLayoutImpl`, `GuigenPackageImpl.getHorizontalFlowPanelLayout()`

    - #### VERTICAL_FLOW_PANEL_LAYOUT

          static final org.eclipse.emf.ecore.EClass VERTICAL_FLOW_PANEL_LAYOUT

      The meta object literal for the '`Vertical Flow Panel Layout`' class.
      See Also:
        `VerticalFlowPanelLayoutImpl`, `GuigenPackageImpl.getVerticalFlowPanelLayout()`

    - #### UDLRC_PANEL_LAYOUT

          static final org.eclipse.emf.ecore.EClass UDLRC_PANEL_LAYOUT

      The meta object literal for the '`UDLRC Panel Layout`' class.
      See Also:
        `UDLRCPanelLayoutImpl`, `GuigenPackageImpl.getUDLRCPanelLayout()`

    - #### WIDGET_LAYOUT_SPECIFIER

          static final org.eclipse.emf.ecore.EClass WIDGET_LAYOUT_SPECIFIER

      The meta object literal for the '`Widget Layout Specifier`' class.
      See Also:
        `WidgetLayoutSpecifierImpl`, `GuigenPackageImpl.getWidgetLayoutSpecifier()`

    - #### UDLRC_WIDGET_LAYOUT_SPEC

          static final org.eclipse.emf.ecore.EClass UDLRC_WIDGET_LAYOUT_SPEC

      The meta object literal for the '`UDLRC Widget Layout Spec`' class.
      See Also:
        `UDLRCWidgetLayoutSpecImpl`, `GuigenPackageImpl.getUDLRCWidgetLayoutSpec()`

    - #### UDLRC_WIDGET_LAYOUT_SPEC__VALUE

          static final org.eclipse.emf.ecore.EAttribute UDLRC_WIDGET_LAYOUT_SPEC__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### IMAGE

          static final org.eclipse.emf.ecore.EClass IMAGE

      The meta object literal for the '`Image`' class.
      See Also:
        `ImageImpl`, `GuigenPackageImpl.getImage()`

    - #### IMAGE__IMAGE

          static final org.eclipse.emf.ecore.EAttribute IMAGE__IMAGE

      The meta object literal for the 'Image' attribute feature.

    - #### MENU

          static final org.eclipse.emf.ecore.EClass MENU

      The meta object literal for the '`Menu`' class.
      See Also:
        `MenuImpl`, `GuigenPackageImpl.getMenu()`

    - #### MENU__NAME

          static final org.eclipse.emf.ecore.EAttribute MENU__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### MENU__LABEL

          static final org.eclipse.emf.ecore.EAttribute MENU__LABEL

      The meta object literal for the 'Label' attribute feature.

    - #### MENU__ITEM

          static final org.eclipse.emf.ecore.EReference MENU__ITEM

      The meta object literal for the 'Item' containment reference list feature.

    - #### MENU__SUBMENU

          static final org.eclipse.emf.ecore.EReference MENU__SUBMENU

      The meta object literal for the 'Submenu' containment reference list feature.

    - #### MENU__SECURITY_CONSTRAINTS

          static final org.eclipse.emf.ecore.EReference MENU__SECURITY_CONSTRAINTS

      The meta object literal for the 'Security Constraints' containment reference list feature.

    - #### MENU__EVENT_HANDLER

          static final org.eclipse.emf.ecore.EReference MENU__EVENT_HANDLER

      The meta object literal for the 'Event Handler' containment reference feature.

    - #### MENU_ITEM

          static final org.eclipse.emf.ecore.EClass MENU_ITEM

      The meta object literal for the '`Menu Item`' class.
      See Also:
        `MenuItemImpl`, `GuigenPackageImpl.getMenuItem()`

    - #### MENU_ITEM__NAME

          static final org.eclipse.emf.ecore.EAttribute MENU_ITEM__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### MENU_ITEM__LABEL

          static final org.eclipse.emf.ecore.EAttribute MENU_ITEM__LABEL

      The meta object literal for the 'Label' attribute feature.

    - #### MENU_ITEM__EVENT_HANDLER

          static final org.eclipse.emf.ecore.EReference MENU_ITEM__EVENT_HANDLER

      The meta object literal for the 'Event Handler' containment reference feature.

    - #### MENU_ITEM__SECURITY_CONSTRAINTS

          static final org.eclipse.emf.ecore.EReference MENU_ITEM__SECURITY_CONSTRAINTS

      The meta object literal for the 'Security Constraints' containment reference list feature.

    - #### DISABLED_COMPONENT_SET

          static final org.eclipse.emf.ecore.EClass DISABLED_COMPONENT_SET

      The meta object literal for the '`Disabled Component Set`' class.
      See Also:
        `DisabledComponentSetImpl`, `GuigenPackageImpl.getDisabledComponentSet()`

    - #### COLUMN_MODEL

          static final org.eclipse.emf.ecore.EClass COLUMN_MODEL

      The meta object literal for the '`Column Model`' class.
      See Also:
        `ColumnModelImpl`, `GuigenPackageImpl.getColumnModel()`

    - #### COLUMN_MODEL__COLUMNS

          static final org.eclipse.emf.ecore.EReference COLUMN_MODEL__COLUMNS

      The meta object literal for the 'Columns' containment reference list feature.

    - #### COLUMN_MODEL__VALUE_SELECTOR

          static final org.eclipse.emf.ecore.EAttribute COLUMN_MODEL__VALUE_SELECTOR

      The meta object literal for the 'Value Selector' attribute feature.

    - #### COLUMN

          static final org.eclipse.emf.ecore.EClass COLUMN

      The meta object literal for the '`Column`' class.
      See Also:
        `ColumnImpl`, `GuigenPackageImpl.getColumn()`

    - #### COLUMN__SELECTOR

          static final org.eclipse.emf.ecore.EAttribute COLUMN__SELECTOR

      The meta object literal for the 'Selector' attribute feature.

    - #### COLUMN__LABEL

          static final org.eclipse.emf.ecore.EAttribute COLUMN__LABEL

      The meta object literal for the 'Label' attribute feature.

    - #### COLUMN__SORTABLE

          static final org.eclipse.emf.ecore.EAttribute COLUMN__SORTABLE

      The meta object literal for the 'Sortable' attribute feature.

    - #### COLUMN__EDITABLE

          static final org.eclipse.emf.ecore.EAttribute COLUMN__EDITABLE

      The meta object literal for the 'Editable' attribute feature.

    - #### COLUMN__EVENT_ACTIVE

          static final org.eclipse.emf.ecore.EAttribute COLUMN__EVENT_ACTIVE

      The meta object literal for the 'Event Active' attribute feature.

    - #### COLUMN__EDITABLE_FLAG_SELECTOR

          static final org.eclipse.emf.ecore.EAttribute COLUMN__EDITABLE_FLAG_SELECTOR

      The meta object literal for the 'Editable Flag Selector' attribute feature.

    - #### COLUMN__MULTI_DATA_BINDING

          static final org.eclipse.emf.ecore.EReference COLUMN__MULTI_DATA_BINDING

      The meta object literal for the 'Multi Data Binding' containment reference feature.

    - #### COLUMN__MULTIDATA_KEY_SELECTOR

          static final org.eclipse.emf.ecore.EAttribute COLUMN__MULTIDATA_KEY_SELECTOR

      The meta object literal for the 'Multidata Key Selector' attribute feature.

    - #### COLUMN__MULTIDATA_VALUE_SELECTOR

          static final org.eclipse.emf.ecore.EAttribute COLUMN__MULTIDATA_VALUE_SELECTOR

      The meta object literal for the 'Multidata Value Selector' attribute feature.

    - #### COLUMN__MULTIDATA_PROPERTY_SELECTOR

          static final org.eclipse.emf.ecore.EAttribute COLUMN__MULTIDATA_PROPERTY_SELECTOR

      The meta object literal for the 'Multidata Property Selector' attribute feature.

    - #### COLUMN__TOOLTIP

          static final org.eclipse.emf.ecore.EAttribute COLUMN__TOOLTIP

      The meta object literal for the 'Tooltip' attribute feature.

    - #### COLUMN__ACTIVE_FLAG_SELECTOR

          static final org.eclipse.emf.ecore.EAttribute COLUMN__ACTIVE_FLAG_SELECTOR

      The meta object literal for the 'Active Flag Selector' attribute feature.

    - #### COLUMN__FIELD_MAX_LENGTH

          static final org.eclipse.emf.ecore.EAttribute COLUMN__FIELD_MAX_LENGTH

      The meta object literal for the 'Field Max Length' attribute feature.

    - #### COLUMN__CUSTOM_DECORATOR

          static final org.eclipse.emf.ecore.EAttribute COLUMN__CUSTOM_DECORATOR

      The meta object literal for the 'Custom Decorator' attribute feature.

    - #### COLUMN__CUSTOM_SORT_PROPERTY_SELECTOR

          static final org.eclipse.emf.ecore.EAttribute COLUMN__CUSTOM_SORT_PROPERTY_SELECTOR

      The meta object literal for the 'Custom Sort Property Selector' attribute feature.

    - #### COMMAND

          static final org.eclipse.emf.ecore.EClass COMMAND

      The meta object literal for the '`Command`' class.
      See Also:
        `CommandImpl`, `GuigenPackageImpl.getCommand()`

    - #### COMMAND_EVENT

          static final org.eclipse.emf.ecore.EClass COMMAND_EVENT

      The meta object literal for the '`Command Event`' class.
      See Also:
        `CommandEventImpl`, `GuigenPackageImpl.getCommandEvent()`

    - #### ONOFF_COMMAND

          static final org.eclipse.emf.ecore.EClass ONOFF_COMMAND

      The meta object literal for the '`ONOFF Command`' class.
      See Also:
        `ONOFFCommandImpl`, `GuigenPackageImpl.getONOFFCommand()`

    - #### ONOFF_COMMAND__ENABLE

          static final org.eclipse.emf.ecore.EAttribute ONOFF_COMMAND__ENABLE

      The meta object literal for the 'Enable' attribute feature.

    - #### CUSTOM_COMMAND

          static final org.eclipse.emf.ecore.EClass CUSTOM_COMMAND

      The meta object literal for the '`Custom Command`' class.
      See Also:
        `CustomCommandImpl`, `GuigenPackageImpl.getCustomCommand()`

    - #### VISIBILITY_COMMAND

          static final org.eclipse.emf.ecore.EClass VISIBILITY_COMMAND

      The meta object literal for the '`Visibility Command`' class.
      See Also:
        `VisibilityCommandImpl`, `GuigenPackageImpl.getVisibilityCommand()`

    - #### VISIBILITY_COMMAND__SHOW

          static final org.eclipse.emf.ecore.EAttribute VISIBILITY_COMMAND__SHOW

      The meta object literal for the 'Show' attribute feature.

    - #### REFRESH_VIEW_COMMAND

          static final org.eclipse.emf.ecore.EClass REFRESH_VIEW_COMMAND

      The meta object literal for the '`Refresh View Command`' class.
      See Also:
        `RefreshViewCommandImpl`, `GuigenPackageImpl.getRefreshViewCommand()`

    - #### JUMP_COMMAND

          static final org.eclipse.emf.ecore.EClass JUMP_COMMAND

      The meta object literal for the '`Jump Command`' class.
      See Also:
        `JumpCommandImpl`, `GuigenPackageImpl.getJumpCommand()`

    - #### JUMP_COMMAND__JUMP_TO

          static final org.eclipse.emf.ecore.EReference JUMP_COMMAND__JUMP_TO

      The meta object literal for the 'Jump To' reference feature.

    - #### JUMP_COMMAND__PUSH_CURRENT_PAGE

          static final org.eclipse.emf.ecore.EAttribute JUMP_COMMAND__PUSH_CURRENT_PAGE

      The meta object literal for the 'Push Current Page' attribute feature.

    - #### EXEC_COMMAND

          static final org.eclipse.emf.ecore.EClass EXEC_COMMAND

      The meta object literal for the '`Exec Command`' class.
      See Also:
        `ExecCommandImpl`, `GuigenPackageImpl.getExecCommand()`

    - #### EXEC_COMMAND__RESULTS

          static final org.eclipse.emf.ecore.EReference EXEC_COMMAND__RESULTS

      The meta object literal for the 'Results' containment reference list feature.

    - #### EXEC_COMMAND__METHOD_NAME

          static final org.eclipse.emf.ecore.EAttribute EXEC_COMMAND__METHOD_NAME

      The meta object literal for the 'Method Name' attribute feature.

    - #### EXEC_COMMAND__POST_EXEC_DATA

          static final org.eclipse.emf.ecore.EReference EXEC_COMMAND__POST_EXEC_DATA

      The meta object literal for the 'Post Exec Data' reference list feature.

    - #### EXEC_COMMAND__CUSTOM_TEMPLATE

          static final org.eclipse.emf.ecore.EReference EXEC_COMMAND__CUSTOM_TEMPLATE

      The meta object literal for the 'Custom Template' reference feature.

    - #### EXEC_COMMAND__EXTRA_MODELS

          static final org.eclipse.emf.ecore.EReference EXEC_COMMAND__EXTRA_MODELS

      The meta object literal for the 'Extra Models' reference list feature.

    - #### EXEC_COMMAND__INLINE_CODE_SNIPPETS

          static final org.eclipse.emf.ecore.EReference EXEC_COMMAND__INLINE_CODE_SNIPPETS

      The meta object literal for the 'Inline Code Snippets' containment reference list feature.

    - #### EVENT_HANDLER

          static final org.eclipse.emf.ecore.EClass EVENT_HANDLER

      The meta object literal for the '`Event Handler`' class.
      See Also:
        `EventHandlerImpl`, `GuigenPackageImpl.getEventHandler()`

    - #### EVENT_HANDLER__COMMAND

          static final org.eclipse.emf.ecore.EReference EVENT_HANDLER__COMMAND

      The meta object literal for the 'Command' containment reference feature.

    - #### EVENT_HANDLER__EVENT_TYPE

          static final org.eclipse.emf.ecore.EAttribute EVENT_HANDLER__EVENT_TYPE

      The meta object literal for the 'Event Type' attribute feature.

    - #### EVENT_HANDLER__SKIP_VALIDATION

          static final org.eclipse.emf.ecore.EAttribute EVENT_HANDLER__SKIP_VALIDATION

      The meta object literal for the 'Skip Validation' attribute feature.

    - #### EVENT_HANDLER__METHOD_PROTECTION

          static final org.eclipse.emf.ecore.EAttribute EVENT_HANDLER__METHOD_PROTECTION

      The meta object literal for the 'Method Protection' attribute feature.

    - #### EVENT_HANDLER__EVENT_SPECIFIERS

          static final org.eclipse.emf.ecore.EAttribute EVENT_HANDLER__EVENT_SPECIFIERS

      The meta object literal for the 'Event Specifiers' attribute list feature.

    - #### WIDGET_TARGET_ACTION

          static final org.eclipse.emf.ecore.EClass WIDGET_TARGET_ACTION

      The meta object literal for the '`Widget Target Action`' class.
      See Also:
        `WidgetTargetAction`, `GuigenPackageImpl.getWidgetTargetAction()`

    - #### COMMAND_ON_WIDGETS

          static final org.eclipse.emf.ecore.EClass COMMAND_ON_WIDGETS

      The meta object literal for the '`Command On Widgets`' class.
      See Also:
        `CommandOnWidgetsImpl`, `GuigenPackageImpl.getCommandOnWidgets()`

    - #### COMMAND_ON_WIDGETS__TARGET_WIDGETS

          static final org.eclipse.emf.ecore.EReference COMMAND_ON_WIDGETS__TARGET_WIDGETS

      The meta object literal for the 'Target Widgets' reference list feature.

    - #### COMMAND_ON_WIDGETS__TARGET_MENU_ELEMENT

          static final org.eclipse.emf.ecore.EReference COMMAND_ON_WIDGETS__TARGET_MENU_ELEMENT

      The meta object literal for the 'Target Menu Element' reference list feature.

    - #### DIALOG_PANEL

          static final org.eclipse.emf.ecore.EClass DIALOG_PANEL

      The meta object literal for the '`Dialog Panel`' class.
      See Also:
        `DialogPanelImpl`, `GuigenPackageImpl.getDialogPanel()`

    - #### DIALOG_PANEL__COMMANDS

          static final org.eclipse.emf.ecore.EReference DIALOG_PANEL__COMMANDS

      The meta object literal for the 'Commands' containment reference feature.

    - #### DIALOG_PANEL__MSG_BOXES

          static final org.eclipse.emf.ecore.EReference DIALOG_PANEL__MSG_BOXES

      The meta object literal for the 'Msg Boxes' containment reference list feature.

    - #### SHOW_DIALOG_COMMAND

          static final org.eclipse.emf.ecore.EClass SHOW_DIALOG_COMMAND

      The meta object literal for the '`Show Dialog Command`' class.
      See Also:
        `ShowDialogCommandImpl`, `GuigenPackageImpl.getShowDialogCommand()`

    - #### SHOW_DIALOG_COMMAND__DIALOG

          static final org.eclipse.emf.ecore.EReference SHOW_DIALOG_COMMAND__DIALOG

      The meta object literal for the 'Dialog' reference feature.

    - #### COMMAND_OUTCOME

          static final org.eclipse.emf.ecore.EClass COMMAND_OUTCOME

      The meta object literal for the '`Command Outcome`' class.
      See Also:
        `CommandOutcomeImpl`, `GuigenPackageImpl.getCommandOutcome()`

    - #### COMMAND_OUTCOME__RESULT_CODE

          static final org.eclipse.emf.ecore.EAttribute COMMAND_OUTCOME__RESULT_CODE

      The meta object literal for the 'Result Code' attribute feature.

    - #### COMMAND_OUTCOME__COMMAND

          static final org.eclipse.emf.ecore.EReference COMMAND_OUTCOME__COMMAND

      The meta object literal for the 'Command' containment reference feature.

    - #### COMMAND_ON_PANELS

          static final org.eclipse.emf.ecore.EClass COMMAND_ON_PANELS

      The meta object literal for the '`Command On Panels`' class.
      See Also:
        `CommandOnPanelsImpl`, `GuigenPackageImpl.getCommandOnPanels()`

    - #### COMMAND_ON_PANELS__TARGET_PANELS

          static final org.eclipse.emf.ecore.EReference COMMAND_ON_PANELS__TARGET_PANELS

      The meta object literal for the 'Target Panels' reference list feature.

    - #### HEADER

          static final org.eclipse.emf.ecore.EClass HEADER

      The meta object literal for the '`Header`' class.
      See Also:
        `HeaderImpl`, `GuigenPackageImpl.getHeader()`

    - #### HEADER__COD_CANALE

          static final org.eclipse.emf.ecore.EAttribute HEADER__COD_CANALE

      The meta object literal for the 'Cod Canale' attribute feature.

    - #### HEADER__COD_APPLICATIVO

          static final org.eclipse.emf.ecore.EAttribute HEADER__COD_APPLICATIVO

      The meta object literal for the 'Cod Applicativo' attribute feature.

    - #### HEADER__NOME_CANALE

          static final org.eclipse.emf.ecore.EAttribute HEADER__NOME_CANALE

      The meta object literal for the 'Nome Canale' attribute feature.

    - #### HEADER__LINK_CANALE

          static final org.eclipse.emf.ecore.EAttribute HEADER__LINK_CANALE

      The meta object literal for the 'Link Canale' attribute feature.

    - #### HEADER__NOME_APPLICATIVO

          static final org.eclipse.emf.ecore.EAttribute HEADER__NOME_APPLICATIVO

      The meta object literal for the 'Nome Applicativo' attribute feature.

    - #### HEADER__TITLE

          static final org.eclipse.emf.ecore.EAttribute HEADER__TITLE

      The meta object literal for the 'Title' attribute feature.

    - #### HEADER__META_ATTRIBUTES

          static final org.eclipse.emf.ecore.EReference HEADER__META_ATTRIBUTES

      The meta object literal for the 'Meta Attributes' containment reference list feature.

    - #### HEADER_META_ATTR

          static final org.eclipse.emf.ecore.EClass HEADER_META_ATTR

      The meta object literal for the '`Header Meta Attr`' class.
      See Also:
        `HeaderMetaAttrImpl`, `GuigenPackageImpl.getHeaderMetaAttr()`

    - #### HEADER_META_ATTR__NAME

          static final org.eclipse.emf.ecore.EAttribute HEADER_META_ATTR__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### HEADER_META_ATTR__VALUE

          static final org.eclipse.emf.ecore.EAttribute HEADER_META_ATTR__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### HEADER_META_ATTR__USE_HTTP_EQUIV

          static final org.eclipse.emf.ecore.EAttribute HEADER_META_ATTR__USE_HTTP_EQUIV

      The meta object literal for the 'Use Http Equiv' attribute feature.

    - #### FOOTER

          static final org.eclipse.emf.ecore.EClass FOOTER

      The meta object literal for the '`Footer`' class.
      See Also:
        `FooterImpl`, `GuigenPackageImpl.getFooter()`

    - #### APP_WINDOW

          static final org.eclipse.emf.ecore.EClass APP_WINDOW

      The meta object literal for the '`App Window`' class.
      See Also:
        `AppWindowImpl`, `GuigenPackageImpl.getAppWindow()`

    - #### APP_WINDOW__FOOTER

          static final org.eclipse.emf.ecore.EReference APP_WINDOW__FOOTER

      The meta object literal for the 'Footer' containment reference feature.

    - #### APP_WINDOW__HEADER

          static final org.eclipse.emf.ecore.EReference APP_WINDOW__HEADER

      The meta object literal for the 'Header' containment reference feature.

    - #### APP_WINDOW__APP_AREA

          static final org.eclipse.emf.ecore.EReference APP_WINDOW__APP_AREA

      The meta object literal for the 'App Area' containment reference feature.

    - #### STATIC_LINKS

          static final org.eclipse.emf.ecore.EClass STATIC_LINKS

      The meta object literal for the '`Static Links`' class.
      See Also:
        `StaticLinksImpl`, `GuigenPackageImpl.getStaticLinks()`

    - #### SEQUENCE_COMMAND

          static final org.eclipse.emf.ecore.EClass SEQUENCE_COMMAND

      The meta object literal for the '`Sequence Command`' class.
      See Also:
        `SequenceCommandImpl`, `GuigenPackageImpl.getSequenceCommand()`

    - #### SEQUENCE_COMMAND__COMMANDS

          static final org.eclipse.emf.ecore.EReference SEQUENCE_COMMAND__COMMANDS

      The meta object literal for the 'Commands' containment reference list feature.

    - #### JUMP_BACK_COMMAND

          static final org.eclipse.emf.ecore.EClass JUMP_BACK_COMMAND

      The meta object literal for the '`Jump Back Command`' class.
      See Also:
        `JumpBackCommandImpl`, `GuigenPackageImpl.getJumpBackCommand()`

    - #### APPLICATION_DATA

          static final org.eclipse.emf.ecore.EClass APPLICATION_DATA

      The meta object literal for the '`Application Data`' class.
      See Also:
        `ApplicationDataImpl`, `GuigenPackageImpl.getApplicationData()`

    - #### APPLICATION_DATA__NAME

          static final org.eclipse.emf.ecore.EAttribute APPLICATION_DATA__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### APPLICATION_DATA__LIFETIME_EXTENT

          static final org.eclipse.emf.ecore.EAttribute APPLICATION_DATA__LIFETIME_EXTENT

      The meta object literal for the 'Lifetime Extent' attribute feature.

    - #### APPLICATION_DATA__TYPE

          static final org.eclipse.emf.ecore.EReference APPLICATION_DATA__TYPE

      The meta object literal for the 'Type' reference feature.

    - #### APP_DATA_BINDING

          static final org.eclipse.emf.ecore.EClass APP_DATA_BINDING

      The meta object literal for the '`App Data Binding`' class.
      See Also:
        `AppDataBindingImpl`, `GuigenPackageImpl.getAppDataBinding()`

    - #### APP_DATA_BINDING__APP_DATA

          static final org.eclipse.emf.ecore.EReference APP_DATA_BINDING__APP_DATA

      The meta object literal for the 'App Data' reference feature.

    - #### APP_DATA_BINDING__PATH

          static final org.eclipse.emf.ecore.EAttribute APP_DATA_BINDING__PATH

      The meta object literal for the 'Path' attribute feature.

    - #### MULTI_DATA_WIDGET

          static final org.eclipse.emf.ecore.EClass MULTI_DATA_WIDGET

      The meta object literal for the '`Multi Data Widget`' class.
      See Also:
        `MultiDataWidgetImpl`, `GuigenPackageImpl.getMultiDataWidget()`

    - #### MULTI_DATA_WIDGET__MULTI_DATA_BINDING

          static final org.eclipse.emf.ecore.EReference MULTI_DATA_WIDGET__MULTI_DATA_BINDING

      The meta object literal for the 'Multi Data Binding' containment reference feature.

    - #### TYPEDEFS

          static final org.eclipse.emf.ecore.EClass TYPEDEFS

      The meta object literal for the '`Typedefs`' class.
      See Also:
        `TypedefsImpl`, `GuigenPackageImpl.getTypedefs()`

    - #### TYPEDEFS__TYPES

          static final org.eclipse.emf.ecore.EReference TYPEDEFS__TYPES

      The meta object literal for the 'Types' containment reference list feature.

    - #### TYPEDEFS__NAMESPACES

          static final org.eclipse.emf.ecore.EReference TYPEDEFS__NAMESPACES

      The meta object literal for the 'Namespaces' containment reference list feature.

    - #### TYPEDEFS__EXT_NAMESPACES

          static final org.eclipse.emf.ecore.EReference TYPEDEFS__EXT_NAMESPACES

      The meta object literal for the 'Ext Namespaces' reference list feature.

    - #### TYPE

          static final org.eclipse.emf.ecore.EClass TYPE

      The meta object literal for the '`Type`' class.
      See Also:
        `TypeImpl`, `GuigenPackageImpl.getType()`

    - #### TYPE__NAME

          static final org.eclipse.emf.ecore.EAttribute TYPE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### SIMPLE_TYPE

          static final org.eclipse.emf.ecore.EClass SIMPLE_TYPE

      The meta object literal for the '`Simple Type`' class.
      See Also:
        `SimpleTypeImpl`, `GuigenPackageImpl.getSimpleType()`

    - #### SIMPLE_TYPE__CODE

          static final org.eclipse.emf.ecore.EAttribute SIMPLE_TYPE__CODE

      The meta object literal for the 'Code' attribute feature.

    - #### SIMPLE_TYPE__NILLABLE

          static final org.eclipse.emf.ecore.EAttribute SIMPLE_TYPE__NILLABLE

      The meta object literal for the 'Nillable' attribute feature.

    - #### SIMPLE_TYPE__USER_DEFINED

          static final org.eclipse.emf.ecore.EAttribute SIMPLE_TYPE__USER_DEFINED

      The meta object literal for the 'User Defined' attribute feature.

    - #### SIMPLE_TYPE__DATA_TYPE_MODIFIERS

          static final org.eclipse.emf.ecore.EAttribute SIMPLE_TYPE__DATA_TYPE_MODIFIERS

      The meta object literal for the 'Data Type Modifiers' attribute list feature.

    - #### SIMPLE_TYPE__EDIT_HINT_MSG

          static final org.eclipse.emf.ecore.EAttribute SIMPLE_TYPE__EDIT_HINT_MSG

      The meta object literal for the 'Edit Hint Msg' attribute feature.

    - #### COMPLEX_TYPE

          static final org.eclipse.emf.ecore.EClass COMPLEX_TYPE

      The meta object literal for the '`Complex Type`' class.
      See Also:
        `ComplexTypeImpl`, `GuigenPackageImpl.getComplexType()`

    - #### COMPLEX_TYPE__FIELDS

          static final org.eclipse.emf.ecore.EReference COMPLEX_TYPE__FIELDS

      The meta object literal for the 'Fields' containment reference list feature.

    - #### COMPLEX_TYPE__INIT_FIELDS

          static final org.eclipse.emf.ecore.EAttribute COMPLEX_TYPE__INIT_FIELDS

      The meta object literal for the 'Init Fields' attribute feature.

    - #### COMPLEX_TYPE__EXTENDS

          static final org.eclipse.emf.ecore.EReference COMPLEX_TYPE__EXTENDS

      The meta object literal for the 'Extends' reference feature.

    - #### COMPLEX_TYPE__TYPE_ANNOTATION

          static final org.eclipse.emf.ecore.EReference COMPLEX_TYPE__TYPE_ANNOTATION

      The meta object literal for the 'Type Annotation' containment reference list feature.

    - #### TYPE_ANNOTATION

          static final org.eclipse.emf.ecore.EClass TYPE_ANNOTATION

      The meta object literal for the '`Type Annotation`' class.
      See Also:
        `TypeAnnotationImpl`, `GuigenPackageImpl.getTypeAnnotation()`

    - #### TYPE_ANNOTATION__LANGUAGE

          static final org.eclipse.emf.ecore.EAttribute TYPE_ANNOTATION__LANGUAGE

      The meta object literal for the 'Language' attribute feature.

    - #### TYPE_ANNOTATION__FQN

          static final org.eclipse.emf.ecore.EAttribute TYPE_ANNOTATION__FQN

      The meta object literal for the 'Fqn' attribute feature.

    - #### TYPED_ARRAY

          static final org.eclipse.emf.ecore.EClass TYPED_ARRAY

      The meta object literal for the '`Typed Array`' class.
      See Also:
        `TypedArrayImpl`, `GuigenPackageImpl.getTypedArray()`

    - #### TYPED_ARRAY__COMPONENT_TYPE

          static final org.eclipse.emf.ecore.EReference TYPED_ARRAY__COMPONENT_TYPE

      The meta object literal for the 'Component Type' reference feature.

    - #### FIELD

          static final org.eclipse.emf.ecore.EClass FIELD

      The meta object literal for the '`Field`' class.
      See Also:
        `FieldImpl`, `GuigenPackageImpl.getField()`

    - #### FIELD__NAME

          static final org.eclipse.emf.ecore.EAttribute FIELD__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### FIELD__TYPE

          static final org.eclipse.emf.ecore.EReference FIELD__TYPE

      The meta object literal for the 'Type' reference feature.

    - #### FIELD__REQUIRED

          static final org.eclipse.emf.ecore.EAttribute FIELD__REQUIRED

      The meta object literal for the 'Required' attribute feature.

    - #### FIELD__DATA_TYPE_MODIFIER

          static final org.eclipse.emf.ecore.EAttribute FIELD__DATA_TYPE_MODIFIER

      The meta object literal for the 'Data Type Modifier' attribute feature.

    - #### FIELD__ANNOTATIONS

          static final org.eclipse.emf.ecore.EReference FIELD__ANNOTATIONS

      The meta object literal for the 'Annotations' containment reference list feature.

    - #### APPLICATION_DATA_DEFS

          static final org.eclipse.emf.ecore.EClass APPLICATION_DATA_DEFS

      The meta object literal for the '`Application Data Defs`' class.
      See Also:
        `ApplicationDataDefsImpl`, `GuigenPackageImpl.getApplicationDataDefs()`

    - #### APPLICATION_DATA_DEFS__APP_DATA

          static final org.eclipse.emf.ecore.EReference APPLICATION_DATA_DEFS__APP_DATA

      The meta object literal for the 'App Data' containment reference list feature.

    - #### APPLICATION_DATA_DEFS__GROUPS

          static final org.eclipse.emf.ecore.EReference APPLICATION_DATA_DEFS__GROUPS

      The meta object literal for the 'Groups' containment reference list feature.

    - #### APPLICATION_DATA_DEFS__EXT_GROUPS

          static final org.eclipse.emf.ecore.EReference APPLICATION_DATA_DEFS__EXT_GROUPS

      The meta object literal for the 'Ext Groups' reference list feature.

    - #### TREE_VIEW

          static final org.eclipse.emf.ecore.EClass TREE_VIEW

      The meta object literal for the '`Tree View`' class.
      See Also:
        `TreeViewImpl`, `GuigenPackageImpl.getTreeView()`

    - #### TREE_VIEW__NODE_SELECTION_TYPE

          static final org.eclipse.emf.ecore.EAttribute TREE_VIEW__NODE_SELECTION_TYPE

      The meta object literal for the 'Node Selection Type' attribute feature.

    - #### PLAIN_TEXT

          static final org.eclipse.emf.ecore.EClass PLAIN_TEXT

      The meta object literal for the '`Plain Text`' class.
      See Also:
        `PlainTextImpl`, `GuigenPackageImpl.getPlainText()`

    - #### PLAIN_TEXT__STATIC_TEXT

          static final org.eclipse.emf.ecore.EAttribute PLAIN_TEXT__STATIC_TEXT

      The meta object literal for the 'Static Text' attribute feature.

    - #### MENU_VIEW

          static final org.eclipse.emf.ecore.EClass MENU_VIEW

      The meta object literal for the '`Menu View`' class.
      See Also:
        `MenuViewImpl`, `GuigenPackageImpl.getMenuView()`

    - #### GRID_PANEL_LAYOUT

          static final org.eclipse.emf.ecore.EClass GRID_PANEL_LAYOUT

      The meta object literal for the '`Grid Panel Layout`' class.
      See Also:
        `GridPanelLayoutImpl`, `GuigenPackageImpl.getGridPanelLayout()`

    - #### GRID_PANEL_LAYOUT__COLUMNS

          static final org.eclipse.emf.ecore.EAttribute GRID_PANEL_LAYOUT__COLUMNS

      The meta object literal for the 'Columns' attribute feature.

    - #### GRID_PANEL_LAYOUT__ROWS

          static final org.eclipse.emf.ecore.EAttribute GRID_PANEL_LAYOUT__ROWS

      The meta object literal for the 'Rows' attribute feature.

    - #### GRID_WIDGET_LAYOUT_SPEC

          static final org.eclipse.emf.ecore.EClass GRID_WIDGET_LAYOUT_SPEC

      The meta object literal for the '`Grid Widget Layout Spec`' class.
      See Also:
        `GridWidgetLayoutSpecImpl`, `GuigenPackageImpl.getGridWidgetLayoutSpec()`

    - #### GRID_WIDGET_LAYOUT_SPEC__ROW

          static final org.eclipse.emf.ecore.EAttribute GRID_WIDGET_LAYOUT_SPEC__ROW

      The meta object literal for the 'Row' attribute feature.

    - #### GRID_WIDGET_LAYOUT_SPEC__COLUMN

          static final org.eclipse.emf.ecore.EAttribute GRID_WIDGET_LAYOUT_SPEC__COLUMN

      The meta object literal for the 'Column' attribute feature.

    - #### GRID_WIDGET_LAYOUT_SPEC__HSPAN

          static final org.eclipse.emf.ecore.EAttribute GRID_WIDGET_LAYOUT_SPEC__HSPAN

      The meta object literal for the 'Hspan' attribute feature.

    - #### GRID_WIDGET_LAYOUT_SPEC__VSPAN

          static final org.eclipse.emf.ecore.EAttribute GRID_WIDGET_LAYOUT_SPEC__VSPAN

      The meta object literal for the 'Vspan' attribute feature.

    - #### COMMAND_PANEL

          static final org.eclipse.emf.ecore.EClass COMMAND_PANEL

      The meta object literal for the '`Command Panel`' class.
      See Also:
        `CommandPanelImpl`, `GuigenPackageImpl.getCommandPanel()`

    - #### COMMAND_PANEL__CMD_STYLE

          static final org.eclipse.emf.ecore.EAttribute COMMAND_PANEL__CMD_STYLE

      The meta object literal for the 'Cmd Style' attribute feature.

    - #### COMMAND_PANEL__WIDGETS

          static final org.eclipse.emf.ecore.EReference COMMAND_PANEL__WIDGETS

      The meta object literal for the 'Widgets' containment reference list feature.

    - #### MENU_PANEL

          static final org.eclipse.emf.ecore.EClass MENU_PANEL

      The meta object literal for the '`Menu Panel`' class.
      See Also:
        `MenuPanelImpl`, `GuigenPackageImpl.getMenuPanel()`

    - #### MENU_PANEL__WIDGETS

          static final org.eclipse.emf.ecore.EReference MENU_PANEL__WIDGETS

      The meta object literal for the 'Widgets' containment reference list feature.

    - #### HIDDEN_VALUE

          static final org.eclipse.emf.ecore.EClass HIDDEN_VALUE

      The meta object literal for the '`Hidden Value`' class.
      See Also:
        `HiddenValueImpl`, `GuigenPackageImpl.getHiddenValue()`

    - #### USER_DEFINED_WIDGET

          static final org.eclipse.emf.ecore.EClass USER_DEFINED_WIDGET

      The meta object literal for the '`User Defined Widget`' class.
      See Also:
        `UserDefinedWidgetImpl`, `GuigenPackageImpl.getUserDefinedWidget()`

    - #### MULTI_PANEL

          static final org.eclipse.emf.ecore.EClass MULTI_PANEL

      The meta object literal for the '`Multi Panel`' class.
      See Also:
        `MultiPanelImpl`, `GuigenPackageImpl.getMultiPanel()`

    - #### MULTI_PANEL__PANELS

          static final org.eclipse.emf.ecore.EReference MULTI_PANEL__PANELS

      The meta object literal for the 'Panels' containment reference list feature.

    - #### ACTIVATE_MULTI_PANEL_ITEM_COMMAND

          static final org.eclipse.emf.ecore.EClass ACTIVATE_MULTI_PANEL_ITEM_COMMAND

      The meta object literal for the '`Activate Multi Panel Item Command`' class.
      See Also:
        `ActivateMultiPanelItemCommandImpl`, `GuigenPackageImpl.getActivateMultiPanelItemCommand()`

    - #### ACTIVATE_MULTI_PANEL_ITEM_COMMAND__MULTIPANEL

          static final org.eclipse.emf.ecore.EReference ACTIVATE_MULTI_PANEL_ITEM_COMMAND__MULTIPANEL

      The meta object literal for the 'Multipanel' reference feature.

    - #### ACTIVATE_MULTI_PANEL_ITEM_COMMAND__ACTIVE_ITEM

          static final org.eclipse.emf.ecore.EReference ACTIVATE_MULTI_PANEL_ITEM_COMMAND__ACTIVE_ITEM

      The meta object literal for the 'Active Item' reference feature.

    - #### AUTENTICATION_METHOD

          static final org.eclipse.emf.ecore.EClass AUTENTICATION_METHOD

      The meta object literal for the '`Autentication Method`' class.
      See Also:
        `AutenticationMethodImpl`, `GuigenPackageImpl.getAutenticationMethod()`

    - #### UI_SECURITY_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass UI_SECURITY_CONSTRAINT

      The meta object literal for the '`UI Security Constraint`' class.
      See Also:
        `UISecurityConstraintImpl`, `GuigenPackageImpl.getUISecurityConstraint()`

    - #### UI_SECURITY_CONSTRAINT__VISIBLE

          static final org.eclipse.emf.ecore.EAttribute UI_SECURITY_CONSTRAINT__VISIBLE

      The meta object literal for the 'Visible' attribute feature.

    - #### UI_SECURITY_CONSTRAINT__ENABLED

          static final org.eclipse.emf.ecore.EAttribute UI_SECURITY_CONSTRAINT__ENABLED

      The meta object literal for the 'Enabled' attribute feature.

    - #### UC_BASED_SECURITY_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass UC_BASED_SECURITY_CONSTRAINT

      The meta object literal for the '`UC Based Security Constraint`' class.
      See Also:
        `UCBasedSecurityConstraintImpl`, `GuigenPackageImpl.getUCBasedSecurityConstraint()`

    - #### UC_BASED_SECURITY_CONSTRAINT__USE_CASE

          static final org.eclipse.emf.ecore.EReference UC_BASED_SECURITY_CONSTRAINT__USE_CASE

      The meta object literal for the 'Use Case' reference feature.

    - #### SECURITY_MODEL

          static final org.eclipse.emf.ecore.EClass SECURITY_MODEL

      The meta object literal for the '`Security Model`' class.
      See Also:
        `SecurityModelImpl`, `GuigenPackageImpl.getSecurityModel()`

    - #### SECURITY_MODEL__AUTENTICATION_METHOD

          static final org.eclipse.emf.ecore.EReference SECURITY_MODEL__AUTENTICATION_METHOD

      The meta object literal for the 'Autentication Method' containment reference feature.

    - #### SECURITY_MODEL__ACTORS

          static final org.eclipse.emf.ecore.EReference SECURITY_MODEL__ACTORS

      The meta object literal for the 'Actors' containment reference list feature.

    - #### SECURITY_MODEL__USE_CASES

          static final org.eclipse.emf.ecore.EReference SECURITY_MODEL__USE_CASES

      The meta object literal for the 'Use Cases' containment reference list feature.

    - #### SECURITY_MODEL__SECURITY_APP_ID

          static final org.eclipse.emf.ecore.EAttribute SECURITY_MODEL__SECURITY_APP_ID

      The meta object literal for the 'Security App ID' attribute feature.

    - #### SECURITY_MODEL__ROLES

          static final org.eclipse.emf.ecore.EReference SECURITY_MODEL__ROLES

      The meta object literal for the 'Roles' containment reference list feature.

    - #### SECURITY_MODEL__USER_INFO_LOGOUT_ACTION

          static final org.eclipse.emf.ecore.EAttribute SECURITY_MODEL__USER_INFO_LOGOUT_ACTION

      The meta object literal for the 'User Info Logout Action' attribute feature.

    - #### SECURITY_MODEL__ASK_FOR_CONFIRMATION_ON_LOGOUT

          static final org.eclipse.emf.ecore.EAttribute SECURITY_MODEL__ASK_FOR_CONFIRMATION_ON_LOGOUT

      The meta object literal for the 'Ask For Confirmation On Logout' attribute feature.

    - #### ACTOR

          static final org.eclipse.emf.ecore.EClass ACTOR

      The meta object literal for the '`Actor`' class.
      See Also:
        `ActorImpl`, `GuigenPackageImpl.getActor()`

    - #### ACTOR__CODE

          static final org.eclipse.emf.ecore.EAttribute ACTOR__CODE

      The meta object literal for the 'Code' attribute feature.

    - #### ACTOR__ROLES

          static final org.eclipse.emf.ecore.EReference ACTOR__ROLES

      The meta object literal for the 'Roles' reference list feature.

    - #### USE_CASE

          static final org.eclipse.emf.ecore.EClass USE_CASE

      The meta object literal for the '`Use Case`' class.
      See Also:
        `UseCaseImpl`, `GuigenPackageImpl.getUseCase()`

    - #### USE_CASE__PERMISSION

          static final org.eclipse.emf.ecore.EReference USE_CASE__PERMISSION

      The meta object literal for the 'Permission' reference list feature.

    - #### USE_CASE__CODE

          static final org.eclipse.emf.ecore.EAttribute USE_CASE__CODE

      The meta object literal for the 'Code' attribute feature.

    - #### ACTOR_BASED_SECURITY_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass ACTOR_BASED_SECURITY_CONSTRAINT

      The meta object literal for the '`Actor Based Security Constraint`' class.
      See Also:
        `ActorBasedSecurityConstraintImpl`, `GuigenPackageImpl.getActorBasedSecurityConstraint()`

    - #### ACTOR_BASED_SECURITY_CONSTRAINT__ACTOR

          static final org.eclipse.emf.ecore.EReference ACTOR_BASED_SECURITY_CONSTRAINT__ACTOR

      The meta object literal for the 'Actor' reference feature.

    - #### CUSTOM_SECURITY_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass CUSTOM_SECURITY_CONSTRAINT

      The meta object literal for the '`Custom Security Constraint`' class.
      See Also:
        `CustomSecurityConstraintImpl`, `GuigenPackageImpl.getCustomSecurityConstraint()`

    - #### CUSTOM_SECURITY_CONSTRAINT__METHOD_NAME_SUFFIX

          static final org.eclipse.emf.ecore.EAttribute CUSTOM_SECURITY_CONSTRAINT__METHOD_NAME_SUFFIX

      The meta object literal for the 'Method Name Suffix' attribute feature.

    - #### OPAUTHSSO

          static final org.eclipse.emf.ecore.EClass OPAUTHSSO

      The meta object literal for the '`OPAUTHSSO`' class.
      See Also:
        `OPAUTHSSOImpl`, `GuigenPackageImpl.getOPAUTHSSO()`

    - #### OPAUTHSSO__MIN_AUTH_LEVEL

          static final org.eclipse.emf.ecore.EAttribute OPAUTHSSO__MIN_AUTH_LEVEL

      The meta object literal for the 'Min Auth Level' attribute feature.

    - #### SSOBARTSSO

          static final org.eclipse.emf.ecore.EClass SSOBARTSSO

      The meta object literal for the '`SSOBARTSSO`' class.
      See Also:
        `SSOBARTSSOImpl`, `GuigenPackageImpl.getSSOBARTSSO()`

    - #### CUSTOM_AUTHENTICATION

          static final org.eclipse.emf.ecore.EClass CUSTOM_AUTHENTICATION

      The meta object literal for the '`Custom Authentication`' class.
      See Also:
        `CustomAuthenticationImpl`, `GuigenPackageImpl.getCustomAuthentication()`

    - #### STD_MESSAGE_PANEL

          static final org.eclipse.emf.ecore.EClass STD_MESSAGE_PANEL

      The meta object literal for the '`Std Message Panel`' class.
      See Also:
        `StdMessagePanelImpl`, `GuigenPackageImpl.getStdMessagePanel()`

    - #### STD_MESSAGE_PANEL__SHOW_GLOBAL_MESSAGES

          static final org.eclipse.emf.ecore.EAttribute STD_MESSAGE_PANEL__SHOW_GLOBAL_MESSAGES

      The meta object literal for the 'Show Global Messages' attribute feature.

    - #### STD_MESSAGE_PANEL__SHOW_FIELD_ERROR_DETAILS

          static final org.eclipse.emf.ecore.EAttribute STD_MESSAGE_PANEL__SHOW_FIELD_ERROR_DETAILS

      The meta object literal for the 'Show Field Error Details' attribute feature.

    - #### STD_MESSAGE_PANEL__SHOW_FIELD_ERRORS

          static final org.eclipse.emf.ecore.EAttribute STD_MESSAGE_PANEL__SHOW_FIELD_ERRORS

      The meta object literal for the 'Show Field Errors' attribute feature.

    - #### JUMP_EXT_COMMAND

          static final org.eclipse.emf.ecore.EClass JUMP_EXT_COMMAND

      The meta object literal for the '`Jump Ext Command`' class.
      See Also:
        `JumpExtCommandImpl`, `GuigenPackageImpl.getJumpExtCommand()`

    - #### JUMP_EXT_COMMAND__STATIC_URL

          static final org.eclipse.emf.ecore.EAttribute JUMP_EXT_COMMAND__STATIC_URL

      The meta object literal for the 'Static Url' attribute feature.

    - #### JUMP_EXT_COMMAND__RUNTIME_URL_PROVIDER

          static final org.eclipse.emf.ecore.EReference JUMP_EXT_COMMAND__RUNTIME_URL_PROVIDER

      The meta object literal for the 'Runtime Url Provider' reference feature.

    - #### JUMP_EXT_COMMAND__LOCATION_CODE

          static final org.eclipse.emf.ecore.EAttribute JUMP_EXT_COMMAND__LOCATION_CODE

      The meta object literal for the 'Location Code' attribute feature.

    - #### JUMP_EXT_COMMAND__BINARY_STREAM

          static final org.eclipse.emf.ecore.EAttribute JUMP_EXT_COMMAND__BINARY_STREAM

      The meta object literal for the 'Binary Stream' attribute feature.

    - #### TARGET_PLATFORM

          static final org.eclipse.emf.ecore.EClass TARGET_PLATFORM

      The meta object literal for the '`Target Platform`' class.
      See Also:
        `TargetPlatformImpl`, `GuigenPackageImpl.getTargetPlatform()`

    - #### TARGET_PLATFORM__CODE

          static final org.eclipse.emf.ecore.EAttribute TARGET_PLATFORM__CODE

      The meta object literal for the 'Code' attribute feature.

    - #### TARGET_PLATFORM__ENABLE_RICH_UI_BEHAVIOR

          static final org.eclipse.emf.ecore.EAttribute TARGET_PLATFORM__ENABLE_RICH_UI_BEHAVIOR

      The meta object literal for the 'Enable Rich UI Behavior' attribute feature.

    - #### TARGET_PLATFORM__ENABLE_FAT_CLIENT

          static final org.eclipse.emf.ecore.EAttribute TARGET_PLATFORM__ENABLE_FAT_CLIENT

      The meta object literal for the 'Enable Fat Client' attribute feature.

    - #### TARGET_PLATFORM__PORTAL_EXPOSITIONS

          static final org.eclipse.emf.ecore.EReference TARGET_PLATFORM__PORTAL_EXPOSITIONS

      The meta object literal for the 'Portal Expositions' containment reference list feature.

    - #### TARGET_PLATFORM__WAYF_PROFILE

          static final org.eclipse.emf.ecore.EReference TARGET_PLATFORM__WAYF_PROFILE

      The meta object literal for the 'Wayf Profile' reference feature.

    - #### TARGET_PLATFORM__SECURITY_PROFILE

          static final org.eclipse.emf.ecore.EReference TARGET_PLATFORM__SECURITY_PROFILE

      The meta object literal for the 'Security Profile' reference feature.

    - #### USER_INFO_PANEL

          static final org.eclipse.emf.ecore.EClass USER_INFO_PANEL

      The meta object literal for the '`User Info Panel`' class.
      See Also:
        `UserInfoPanelImpl`, `GuigenPackageImpl.getUserInfoPanel()`

    - #### USER_DEFINED_PANEL

          static final org.eclipse.emf.ecore.EClass USER_DEFINED_PANEL

      The meta object literal for the '`User Defined Panel`' class.
      See Also:
        `UserDefinedPanelImpl`, `GuigenPackageImpl.getUserDefinedPanel()`

    - #### WIZARD_PANEL

          static final org.eclipse.emf.ecore.EClass WIZARD_PANEL

      The meta object literal for the '`Wizard Panel`' class.
      See Also:
        `WizardPanelImpl`, `GuigenPackageImpl.getWizardPanel()`

    - #### WIZARD_PANEL__NAVIGATOR_ACTIVE

          static final org.eclipse.emf.ecore.EAttribute WIZARD_PANEL__NAVIGATOR_ACTIVE

      The meta object literal for the 'Navigator Active' attribute feature.

    - #### WIZARD_PANEL__SWITCHER

          static final org.eclipse.emf.ecore.EReference WIZARD_PANEL__SWITCHER

      The meta object literal for the 'Switcher' containment reference feature.

    - #### WIZARD_PANEL__NUMBERING_SCHEMA

          static final org.eclipse.emf.ecore.EAttribute WIZARD_PANEL__NUMBERING_SCHEMA

      The meta object literal for the 'Numbering Schema' attribute feature.

    - #### APP_MODULE

          static final org.eclipse.emf.ecore.EClass APP_MODULE

      The meta object literal for the '`App Module`' class.
      See Also:
        `AppModuleImpl`, `GuigenPackageImpl.getAppModule()`

    - #### APP_MODULE__NAME

          static final org.eclipse.emf.ecore.EAttribute APP_MODULE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### APP_MODULE__CONTENT_PANELS

          static final org.eclipse.emf.ecore.EReference APP_MODULE__CONTENT_PANELS

      The meta object literal for the 'Content Panels' containment reference list feature.

    - #### APP_MODULE__EXT_SECURITY_MODEL

          static final org.eclipse.emf.ecore.EReference APP_MODULE__EXT_SECURITY_MODEL

      The meta object literal for the 'Ext Security Model' reference feature.

    - #### APP_MODULE__SECURE

          static final org.eclipse.emf.ecore.EAttribute APP_MODULE__SECURE

      The meta object literal for the 'Secure' attribute feature.

    - #### TYPE_NAMESPACE

          static final org.eclipse.emf.ecore.EClass TYPE_NAMESPACE

      The meta object literal for the '`Type Namespace`' class.
      See Also:
        `TypeNamespaceImpl`, `GuigenPackageImpl.getTypeNamespace()`

    - #### TYPE_NAMESPACE__NAME

          static final org.eclipse.emf.ecore.EAttribute TYPE_NAMESPACE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### TYPE_NAMESPACE__TYPES

          static final org.eclipse.emf.ecore.EReference TYPE_NAMESPACE__TYPES

      The meta object literal for the 'Types' containment reference list feature.

    - #### APP_DATA_GROUP

          static final org.eclipse.emf.ecore.EClass APP_DATA_GROUP

      The meta object literal for the '`App Data Group`' class.
      See Also:
        `AppDataGroupImpl`, `GuigenPackageImpl.getAppDataGroup()`

    - #### APP_DATA_GROUP__NAME

          static final org.eclipse.emf.ecore.EAttribute APP_DATA_GROUP__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### APP_DATA_GROUP__APP_DATA

          static final org.eclipse.emf.ecore.EReference APP_DATA_GROUP__APP_DATA

      The meta object literal for the 'App Data' containment reference list feature.

    - #### MSG_BOX_PANEL

          static final org.eclipse.emf.ecore.EClass MSG_BOX_PANEL

      The meta object literal for the '`Msg Box Panel`' class.
      See Also:
        `MsgBoxPanelImpl`, `GuigenPackageImpl.getMsgBoxPanel()`

    - #### MSG_BOX_PANEL__MESSAGE_SEVERITY

          static final org.eclipse.emf.ecore.EAttribute MSG_BOX_PANEL__MESSAGE_SEVERITY

      The meta object literal for the 'Message Severity' attribute feature.

    - #### MSG_BOX_PANEL__TEXT_MESSAGES

          static final org.eclipse.emf.ecore.EReference MSG_BOX_PANEL__TEXT_MESSAGES

      The meta object literal for the 'Text Messages' containment reference list feature.

    - #### MSG_BOX_PANEL__SHOW_STD_LEGEND

          static final org.eclipse.emf.ecore.EAttribute MSG_BOX_PANEL__SHOW_STD_LEGEND

      The meta object literal for the 'Show Std Legend' attribute feature.

    - #### NOP_COMMAND

          static final org.eclipse.emf.ecore.EClass NOP_COMMAND

      The meta object literal for the '`NOP Command`' class.
      See Also:
        `NOPCommandImpl`, `GuigenPackageImpl.getNOPCommand()`

    - #### WIDGETS_PANEL

          static final org.eclipse.emf.ecore.EClass WIDGETS_PANEL

      The meta object literal for the '`Widgets Panel`' class.
      See Also:
        `WidgetsPanelImpl`, `GuigenPackageImpl.getWidgetsPanel()`

    - #### WIDGETS_PANEL__WIDGETS

          static final org.eclipse.emf.ecore.EReference WIDGETS_PANEL__WIDGETS

      The meta object literal for the 'Widgets' containment reference list feature.

    - #### WIDGETS_PANEL__SUMMARY

          static final org.eclipse.emf.ecore.EAttribute WIDGETS_PANEL__SUMMARY

      The meta object literal for the 'Summary' attribute feature.

    - #### WIDGETS_PANEL__COLLAPSIBLE

          static final org.eclipse.emf.ecore.EAttribute WIDGETS_PANEL__COLLAPSIBLE

      The meta object literal for the 'Collapsible' attribute feature.

    - #### SCREEN_STATE

          static final org.eclipse.emf.ecore.EClass SCREEN_STATE

      The meta object literal for the '`Screen State`' class.
      See Also:
        `ScreenStateImpl`, `GuigenPackageImpl.getScreenState()`

    - #### SCREEN_STATE__NAME

          static final org.eclipse.emf.ecore.EAttribute SCREEN_STATE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### SCREEN_STATE__WIDGETS_ON

          static final org.eclipse.emf.ecore.EReference SCREEN_STATE__WIDGETS_ON

      The meta object literal for the 'Widgets On' reference list feature.

    - #### SCREEN_STATE__WIDGETS_VISIBLE

          static final org.eclipse.emf.ecore.EReference SCREEN_STATE__WIDGETS_VISIBLE

      The meta object literal for the 'Widgets Visible' reference list feature.

    - #### SCREEN_STATES

          static final org.eclipse.emf.ecore.EClass SCREEN_STATES

      The meta object literal for the '`Screen States`' class.
      See Also:
        `ScreenStatesImpl`, `GuigenPackageImpl.getScreenStates()`

    - #### SCREEN_STATES__STATES

          static final org.eclipse.emf.ecore.EReference SCREEN_STATES__STATES

      The meta object literal for the 'States' containment reference list feature.

    - #### SCREEN_STATE_COMMAND

          static final org.eclipse.emf.ecore.EClass SCREEN_STATE_COMMAND

      The meta object literal for the '`Screen State Command`' class.
      See Also:
        `ScreenStateCommandImpl`, `GuigenPackageImpl.getScreenStateCommand()`

    - #### SCREEN_STATE_COMMAND__GO_TO

          static final org.eclipse.emf.ecore.EReference SCREEN_STATE_COMMAND__GO_TO

      The meta object literal for the 'Go To' reference feature.

    - #### SHIBBOLETH_SSO

          static final org.eclipse.emf.ecore.EClass SHIBBOLETH_SSO

      The meta object literal for the '`Shibboleth SSO`' class.
      See Also:
        `ShibbolethSSOImpl`, `GuigenPackageImpl.getShibbolethSSO()`

    - #### ROLE

          static final org.eclipse.emf.ecore.EClass ROLE

      The meta object literal for the '`Role`' class.
      See Also:
        `RoleImpl`, `GuigenPackageImpl.getRole()`

    - #### ROLE__CODE

          static final org.eclipse.emf.ecore.EAttribute ROLE__CODE

      The meta object literal for the 'Code' attribute feature.

    - #### ROLE__DOMAIN_CODE

          static final org.eclipse.emf.ecore.EAttribute ROLE__DOMAIN_CODE

      The meta object literal for the 'Domain Code' attribute feature.

    - #### ROLE_BASED_SECURITY_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass ROLE_BASED_SECURITY_CONSTRAINT

      The meta object literal for the '`Role Based Security Constraint`' class.
      See Also:
        `RoleBasedSecurityConstraintImpl`, `GuigenPackageImpl.getRoleBasedSecurityConstraint()`

    - #### ROLE_BASED_SECURITY_CONSTRAINT__ROLE

          static final org.eclipse.emf.ecore.EReference ROLE_BASED_SECURITY_CONSTRAINT__ROLE

      The meta object literal for the 'Role' reference feature.

    - #### DECLARATIVE_UI_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass DECLARATIVE_UI_CONSTRAINT

      The meta object literal for the '`Declarative UI Constraint`' class.
      See Also:
        `DeclarativeUIConstraintImpl`, `GuigenPackageImpl.getDeclarativeUIConstraint()`

    - #### DECLARATIVE_UI_CONSTRAINT__LANGUAGE

          static final org.eclipse.emf.ecore.EAttribute DECLARATIVE_UI_CONSTRAINT__LANGUAGE

      The meta object literal for the 'Language' attribute feature.

    - #### DECLARATIVE_UI_CONSTRAINT__SCRIPT

          static final org.eclipse.emf.ecore.EAttribute DECLARATIVE_UI_CONSTRAINT__SCRIPT

      The meta object literal for the 'Script' attribute feature.

    - #### FILE_UPLOAD

          static final org.eclipse.emf.ecore.EClass FILE_UPLOAD

      The meta object literal for the '`File Upload`' class.
      See Also:
        `FileUploadImpl`, `GuigenPackageImpl.getFileUpload()`

    - #### FILE_UPLOAD__MULTIPLE

          static final org.eclipse.emf.ecore.EAttribute FILE_UPLOAD__MULTIPLE

      The meta object literal for the 'Multiple' attribute feature.

    - #### TAB_SWITCHER

          static final org.eclipse.emf.ecore.EClass TAB_SWITCHER

      The meta object literal for the '`Tab Switcher`' class.
      See Also:
        `TabSwitcherImpl`, `GuigenPackageImpl.getTabSwitcher()`

    - #### PANEL_DEF

          static final org.eclipse.emf.ecore.EClass PANEL_DEF

      The meta object literal for the '`Panel Def`' class.
      See Also:
        `PanelDefImpl`, `GuigenPackageImpl.getPanelDef()`

    - #### PANEL_DEF__NAME

          static final org.eclipse.emf.ecore.EAttribute PANEL_DEF__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### PANEL_DEF__PANEL

          static final org.eclipse.emf.ecore.EReference PANEL_DEF__PANEL

      The meta object literal for the 'Panel' containment reference feature.

    - #### PANEL_DEF__PARAMS

          static final org.eclipse.emf.ecore.EReference PANEL_DEF__PARAMS

      The meta object literal for the 'Params' containment reference list feature.

    - #### PANEL_DEF__APP_DATA_DEFS

          static final org.eclipse.emf.ecore.EReference PANEL_DEF__APP_DATA_DEFS

      The meta object literal for the 'App Data Defs' containment reference feature.

    - #### PANEL_DEF__TYPE_DEFS

          static final org.eclipse.emf.ecore.EReference PANEL_DEF__TYPE_DEFS

      The meta object literal for the 'Type Defs' containment reference feature.

    - #### PANEL_DEF__ROLES

          static final org.eclipse.emf.ecore.EReference PANEL_DEF__ROLES

      The meta object literal for the 'Roles' containment reference list feature.

    - #### PANEL_DEF__ACTORS

          static final org.eclipse.emf.ecore.EReference PANEL_DEF__ACTORS

      The meta object literal for the 'Actors' containment reference list feature.

    - #### PANEL_DEF__USE_CASES

          static final org.eclipse.emf.ecore.EReference PANEL_DEF__USE_CASES

      The meta object literal for the 'Use Cases' containment reference list feature.

    - #### PANEL_DEF__ON_REFRESH_COMMAND

          static final org.eclipse.emf.ecore.EReference PANEL_DEF__ON_REFRESH_COMMAND

      The meta object literal for the 'On Refresh Command' containment reference feature.

    - #### PANEL_DEF__STATES

          static final org.eclipse.emf.ecore.EReference PANEL_DEF__STATES

      The meta object literal for the 'States' containment reference feature.

    - #### PANEL_DEF__DEFAULT_STATE

          static final org.eclipse.emf.ecore.EReference PANEL_DEF__DEFAULT_STATE

      The meta object literal for the 'Default State' reference feature.

    - #### PDEF_PARAM

          static final org.eclipse.emf.ecore.EClass PDEF_PARAM

      The meta object literal for the '`PDef Param`' class.
      See Also:
        `PDefParamImpl`, `GuigenPackageImpl.getPDefParam()`

    - #### PDEF_PARAM__NAME

          static final org.eclipse.emf.ecore.EAttribute PDEF_PARAM__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### APP_DATA_MAPPING_PARAM

          static final org.eclipse.emf.ecore.EClass APP_DATA_MAPPING_PARAM

      The meta object literal for the '`App Data Mapping Param`' class.
      See Also:
        `AppDataMappingParamImpl`, `GuigenPackageImpl.getAppDataMappingParam()`

    - #### APP_DATA_MAPPING_PARAM__DEF_APP_DATA

          static final org.eclipse.emf.ecore.EReference APP_DATA_MAPPING_PARAM__DEF_APP_DATA

      The meta object literal for the 'Def App Data' reference feature.

    - #### TYPE_DEF_MAPPING_PARAM

          static final org.eclipse.emf.ecore.EClass TYPE_DEF_MAPPING_PARAM

      The meta object literal for the '`Type Def Mapping Param`' class.
      See Also:
        `TypeDefMappingParamImpl`, `GuigenPackageImpl.getTypeDefMappingParam()`

    - #### TYPE_DEF_MAPPING_PARAM__DEF_TYPE_DEF

          static final org.eclipse.emf.ecore.EReference TYPE_DEF_MAPPING_PARAM__DEF_TYPE_DEF

      The meta object literal for the 'Def Type Def' reference feature.

    - #### USE_CASE_MAPPING_PARAM

          static final org.eclipse.emf.ecore.EClass USE_CASE_MAPPING_PARAM

      The meta object literal for the '`Use Case Mapping Param`' class.
      See Also:
        `UseCaseMappingParamImpl`, `GuigenPackageImpl.getUseCaseMappingParam()`

    - #### USE_CASE_MAPPING_PARAM__DEF_USE_CASE

          static final org.eclipse.emf.ecore.EReference USE_CASE_MAPPING_PARAM__DEF_USE_CASE

      The meta object literal for the 'Def Use Case' reference feature.

    - #### ROLE_MAPPING_PARAM

          static final org.eclipse.emf.ecore.EClass ROLE_MAPPING_PARAM

      The meta object literal for the '`Role Mapping Param`' class.
      See Also:
        `RoleMappingParamImpl`, `GuigenPackageImpl.getRoleMappingParam()`

    - #### ROLE_MAPPING_PARAM__DEF_ROLE

          static final org.eclipse.emf.ecore.EReference ROLE_MAPPING_PARAM__DEF_ROLE

      The meta object literal for the 'Def Role' reference feature.

    - #### ACTOR_MAPPING_PARAM

          static final org.eclipse.emf.ecore.EClass ACTOR_MAPPING_PARAM

      The meta object literal for the '`Actor Mapping Param`' class.
      See Also:
        `ActorMappingParamImpl`, `GuigenPackageImpl.getActorMappingParam()`

    - #### ACTOR_MAPPING_PARAM__DEF_ACTOR

          static final org.eclipse.emf.ecore.EReference ACTOR_MAPPING_PARAM__DEF_ACTOR

      The meta object literal for the 'Def Actor' reference feature.

    - #### PANEL_DEF_USE

          static final org.eclipse.emf.ecore.EClass PANEL_DEF_USE

      The meta object literal for the '`Panel Def Use`' class.
      See Also:
        `PanelDefUseImpl`, `GuigenPackageImpl.getPanelDefUse()`

    - #### PANEL_DEF_USE__PANEL_DEF

          static final org.eclipse.emf.ecore.EReference PANEL_DEF_USE__PANEL_DEF

      The meta object literal for the 'Panel Def' reference feature.

    - #### PANEL_DEF_USE__CONFIG

          static final org.eclipse.emf.ecore.EReference PANEL_DEF_USE__CONFIG

      The meta object literal for the 'Config' containment reference feature.

    - #### PDEF_PARAM_VAL

          static final org.eclipse.emf.ecore.EClass PDEF_PARAM_VAL

      The meta object literal for the '`PDef Param Val`' class.
      See Also:
        `PDefParamValImpl`, `GuigenPackageImpl.getPDefParamVal()`

    - #### PDEF_PARAM_VAL__PARAM

          static final org.eclipse.emf.ecore.EReference PDEF_PARAM_VAL__PARAM

      The meta object literal for the 'Param' reference feature.

    - #### APP_DATA_MAPPING_PDEF_VAL

          static final org.eclipse.emf.ecore.EClass APP_DATA_MAPPING_PDEF_VAL

      The meta object literal for the '`App Data Mapping PDef Val`' class.
      See Also:
        `AppDataMappingPDefValImpl`, `GuigenPackageImpl.getAppDataMappingPDefVal()`

    - #### APP_DATA_MAPPING_PDEF_VAL__ACTUAL_APP_DATA

          static final org.eclipse.emf.ecore.EReference APP_DATA_MAPPING_PDEF_VAL__ACTUAL_APP_DATA

      The meta object literal for the 'Actual App Data' reference feature.

    - #### TYPE_DEF_MAPPING_PDEF_VAL

          static final org.eclipse.emf.ecore.EClass TYPE_DEF_MAPPING_PDEF_VAL

      The meta object literal for the '`Type Def Mapping PDef Val`' class.
      See Also:
        `TypeDefMappingPDefValImpl`, `GuigenPackageImpl.getTypeDefMappingPDefVal()`

    - #### TYPE_DEF_MAPPING_PDEF_VAL__ACTUAL_TYPE_DEF

          static final org.eclipse.emf.ecore.EReference TYPE_DEF_MAPPING_PDEF_VAL__ACTUAL_TYPE_DEF

      The meta object literal for the 'Actual Type Def' reference feature.

    - #### UC_MAPPING_PDEF_VAL

          static final org.eclipse.emf.ecore.EClass UC_MAPPING_PDEF_VAL

      The meta object literal for the '`UC Mapping PDef Val`' class.
      See Also:
        `UCMappingPDefValImpl`, `GuigenPackageImpl.getUCMappingPDefVal()`

    - #### UC_MAPPING_PDEF_VAL__ACTUAL_USE_CASE

          static final org.eclipse.emf.ecore.EReference UC_MAPPING_PDEF_VAL__ACTUAL_USE_CASE

      The meta object literal for the 'Actual Use Case' reference feature.

    - #### ROLE_MAPPING_PDEF_VAL

          static final org.eclipse.emf.ecore.EClass ROLE_MAPPING_PDEF_VAL

      The meta object literal for the '`Role Mapping PDef Val`' class.
      See Also:
        `RoleMappingPDefValImpl`, `GuigenPackageImpl.getRoleMappingPDefVal()`

    - #### ROLE_MAPPING_PDEF_VAL__ACTUAL_ROLE

          static final org.eclipse.emf.ecore.EReference ROLE_MAPPING_PDEF_VAL__ACTUAL_ROLE

      The meta object literal for the 'Actual Role' reference feature.

    - #### ACTOR_MAPPING_PDEF_VAL

          static final org.eclipse.emf.ecore.EClass ACTOR_MAPPING_PDEF_VAL

      The meta object literal for the '`Actor Mapping PDef Val`' class.
      See Also:
        `ActorMappingPDefValImpl`, `GuigenPackageImpl.getActorMappingPDefVal()`

    - #### ACTOR_MAPPING_PDEF_VAL__ACTUAL_ACTOR

          static final org.eclipse.emf.ecore.EReference ACTOR_MAPPING_PDEF_VAL__ACTUAL_ACTOR

      The meta object literal for the 'Actual Actor' reference feature.

    - #### PDEF_USE_CONFIG

          static final org.eclipse.emf.ecore.EClass PDEF_USE_CONFIG

      The meta object literal for the '`PDef Use Config`' class.
      See Also:
        `PDefUseConfigImpl`, `GuigenPackageImpl.getPDefUseConfig()`

    - #### PDEF_USE_CONFIG__PARAM_VALUES

          static final org.eclipse.emf.ecore.EReference PDEF_USE_CONFIG__PARAM_VALUES

      The meta object literal for the 'Param Values' containment reference list feature.

    - #### ACTIVATION_MODEL

          static final org.eclipse.emf.ecore.EClass ACTIVATION_MODEL

      The meta object literal for the '`Activation Model`' class.
      See Also:
        `ActivationModelImpl`, `GuigenPackageImpl.getActivationModel()`

    - #### ACTIVATION_MODEL__ACTIVATION_PARAMS

          static final org.eclipse.emf.ecore.EReference ACTIVATION_MODEL__ACTIVATION_PARAMS

      The meta object literal for the 'Activation Params' containment reference list feature.

    - #### ACTIVATION_PARAM

          static final org.eclipse.emf.ecore.EClass ACTIVATION_PARAM

      The meta object literal for the '`Activation Param`' class.
      See Also:
        `ActivationParamImpl`, `GuigenPackageImpl.getActivationParam()`

    - #### ACTIVATION_PARAM__NAME

          static final org.eclipse.emf.ecore.EAttribute ACTIVATION_PARAM__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### ACTIVATION_PARAM__TYPE

          static final org.eclipse.emf.ecore.EReference ACTIVATION_PARAM__TYPE

      The meta object literal for the 'Type' reference feature.

    - #### BEGIN_EDIT_COMMAND

          static final org.eclipse.emf.ecore.EClass BEGIN_EDIT_COMMAND

      The meta object literal for the '`Begin Edit Command`' class.
      See Also:
        `BeginEditCommandImpl`, `GuigenPackageImpl.getBeginEditCommand()`

    - #### BEGIN_EDIT_COMMAND__DATA_EDITED

          static final org.eclipse.emf.ecore.EReference BEGIN_EDIT_COMMAND__DATA_EDITED

      The meta object literal for the 'Data Edited' reference list feature.

    - #### END_EDIT_COMMAND

          static final org.eclipse.emf.ecore.EClass END_EDIT_COMMAND

      The meta object literal for the '`End Edit Command`' class.
      See Also:
        `EndEditCommandImpl`, `GuigenPackageImpl.getEndEditCommand()`

    - #### END_EDIT_COMMAND__DATA_EDITED

          static final org.eclipse.emf.ecore.EReference END_EDIT_COMMAND__DATA_EDITED

      The meta object literal for the 'Data Edited' reference list feature.

    - #### END_EDIT_COMMAND__UNDO

          static final org.eclipse.emf.ecore.EAttribute END_EDIT_COMMAND__UNDO

      The meta object literal for the 'Undo' attribute feature.

    - #### CHK_EDIT_STATUS_COMMAND

          static final org.eclipse.emf.ecore.EClass CHK_EDIT_STATUS_COMMAND

      The meta object literal for the '`Chk Edit Status Command`' class.
      See Also:
        `ChkEditStatusCommandImpl`, `GuigenPackageImpl.getChkEditStatusCommand()`

    - #### CHK_EDIT_STATUS_COMMAND__DATA_CHECKED

          static final org.eclipse.emf.ecore.EReference CHK_EDIT_STATUS_COMMAND__DATA_CHECKED

      The meta object literal for the 'Data Checked' reference list feature.

    - #### CHK_EDIT_STATUS_COMMAND__CHECK_AGGREGATION

          static final org.eclipse.emf.ecore.EAttribute CHK_EDIT_STATUS_COMMAND__CHECK_AGGREGATION

      The meta object literal for the 'Check Aggregation' attribute feature.

    - #### CHK_EDIT_STATUS_COMMAND__DO_IF_CHANGED

          static final org.eclipse.emf.ecore.EReference CHK_EDIT_STATUS_COMMAND__DO_IF_CHANGED

      The meta object literal for the 'Do If Changed' containment reference feature.

    - #### CHK_EDIT_STATUS_COMMAND__DO_IF_NOT_CHANGED

          static final org.eclipse.emf.ecore.EReference CHK_EDIT_STATUS_COMMAND__DO_IF_NOT_CHANGED

      The meta object literal for the 'Do If Not Changed' containment reference feature.

    - #### PANEL_DEF_STATE

          static final org.eclipse.emf.ecore.EClass PANEL_DEF_STATE

      The meta object literal for the '`Panel Def State`' class.
      See Also:
        `PanelDefStateImpl`, `GuigenPackageImpl.getPanelDefState()`

    - #### PANEL_DEF_STATE__NAME

          static final org.eclipse.emf.ecore.EAttribute PANEL_DEF_STATE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### PANEL_DEF_STATE__WIDGETS_ON

          static final org.eclipse.emf.ecore.EReference PANEL_DEF_STATE__WIDGETS_ON

      The meta object literal for the 'Widgets On' reference list feature.

    - #### PANEL_DEF_STATE__WIDGETS_VISIBLE

          static final org.eclipse.emf.ecore.EReference PANEL_DEF_STATE__WIDGETS_VISIBLE

      The meta object literal for the 'Widgets Visible' reference list feature.

    - #### PDEF_STATE_COMMAND

          static final org.eclipse.emf.ecore.EClass PDEF_STATE_COMMAND

      The meta object literal for the '`PDef State Command`' class.
      See Also:
        `PDefStateCommandImpl`, `GuigenPackageImpl.getPDefStateCommand()`

    - #### PDEF_STATE_COMMAND__GO_TO

          static final org.eclipse.emf.ecore.EReference PDEF_STATE_COMMAND__GO_TO

      The meta object literal for the 'Go To' reference feature.

    - #### PDEF_STATE_COMMAND__PDEF_USE

          static final org.eclipse.emf.ecore.EReference PDEF_STATE_COMMAND__PDEF_USE

      The meta object literal for the 'PDef Use' reference feature.

    - #### PANEL_DEF_STATES

          static final org.eclipse.emf.ecore.EClass PANEL_DEF_STATES

      The meta object literal for the '`Panel Def States`' class.
      See Also:
        `PanelDefStatesImpl`, `GuigenPackageImpl.getPanelDefStates()`

    - #### PANEL_DEF_STATES__STATES

          static final org.eclipse.emf.ecore.EReference PANEL_DEF_STATES__STATES

      The meta object literal for the 'States' containment reference list feature.

    - #### TABLE_CUSTOMIZATION_PARAM

          static final org.eclipse.emf.ecore.EClass TABLE_CUSTOMIZATION_PARAM

      The meta object literal for the '`Table Customization Param`' class.
      See Also:
        `TableCustomizationParamImpl`, `GuigenPackageImpl.getTableCustomizationParam()`

    - #### TABLE_CUSTOMIZATION_PARAM__BASE_TABLE

          static final org.eclipse.emf.ecore.EReference TABLE_CUSTOMIZATION_PARAM__BASE_TABLE

      The meta object literal for the 'Base Table' reference feature.

    - #### EXTRA_COLUMN

          static final org.eclipse.emf.ecore.EClass EXTRA_COLUMN

      The meta object literal for the '`Extra Column`' class.
      See Also:
        `ExtraColumnImpl`, `GuigenPackageImpl.getExtraColumn()`

    - #### EXTRA_COLUMN__INSERT_AFTER

          static final org.eclipse.emf.ecore.EReference EXTRA_COLUMN__INSERT_AFTER

      The meta object literal for the 'Insert After' reference feature.

    - #### TABLE_CUSTOMIZATION_PDEF_VAL

          static final org.eclipse.emf.ecore.EClass TABLE_CUSTOMIZATION_PDEF_VAL

      The meta object literal for the '`Table Customization PDef Val`' class.
      See Also:
        `TableCustomizationPDefValImpl`, `GuigenPackageImpl.getTableCustomizationPDefVal()`

    - #### TABLE_CUSTOMIZATION_PDEF_VAL__EXTRA_COLS

          static final org.eclipse.emf.ecore.EReference TABLE_CUSTOMIZATION_PDEF_VAL__EXTRA_COLS

      The meta object literal for the 'Extra Cols' containment reference list feature.

    - #### TABLE_CUSTOMIZATION_PDEF_VAL__HIDDEN_COLS

          static final org.eclipse.emf.ecore.EReference TABLE_CUSTOMIZATION_PDEF_VAL__HIDDEN_COLS

      The meta object literal for the 'Hidden Cols' reference list feature.

    - #### CUSTOM_CARTRIDGE

          static final org.eclipse.emf.ecore.EClass CUSTOM_CARTRIDGE

      The meta object literal for the '`Custom Cartridge`' class.
      See Also:
        `CustomCartridgeImpl`, `GuigenPackageImpl.getCustomCartridge()`

    - #### CUSTOM_CARTRIDGE__NAME

          static final org.eclipse.emf.ecore.EAttribute CUSTOM_CARTRIDGE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### CUSTOM_CARTRIDGE__CRT_ID

          static final org.eclipse.emf.ecore.EAttribute CUSTOM_CARTRIDGE__CRT_ID

      The meta object literal for the 'Crt ID' attribute feature.

    - #### CUSTOM_CARTRIDGE__TEMPLATES

          static final org.eclipse.emf.ecore.EReference CUSTOM_CARTRIDGE__TEMPLATES

      The meta object literal for the 'Templates' containment reference list feature.

    - #### CUSTOM_TEMPLATE

          static final org.eclipse.emf.ecore.EClass CUSTOM_TEMPLATE

      The meta object literal for the '`Custom Template`' class.
      See Also:
        `CustomTemplateImpl`, `GuigenPackageImpl.getCustomTemplate()`

    - #### CUSTOM_TEMPLATE__TPL_ID

          static final org.eclipse.emf.ecore.EAttribute CUSTOM_TEMPLATE__TPL_ID

      The meta object literal for the 'Tpl ID' attribute feature.

    - #### CUSTOM_TEMPLATE__NAME

          static final org.eclipse.emf.ecore.EAttribute CUSTOM_TEMPLATE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### CUSTOM_TEMPLATE__MODEL_SLOTS

          static final org.eclipse.emf.ecore.EReference CUSTOM_TEMPLATE__MODEL_SLOTS

      The meta object literal for the 'Model Slots' containment reference list feature.

    - #### MODEL_SLOT_DEF

          static final org.eclipse.emf.ecore.EClass MODEL_SLOT_DEF

      The meta object literal for the '`Model Slot Def`' class.
      See Also:
        `ModelSlotDefImpl`, `GuigenPackageImpl.getModelSlotDef()`

    - #### MODEL_SLOT_DEF__NAME

          static final org.eclipse.emf.ecore.EAttribute MODEL_SLOT_DEF__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### MODEL_SLOT_DEF__MODEL_CLASS

          static final org.eclipse.emf.ecore.EAttribute MODEL_SLOT_DEF__MODEL_CLASS

      The meta object literal for the 'Model Class' attribute feature.

    - #### MODEL_SLOT

          static final org.eclipse.emf.ecore.EClass MODEL_SLOT

      The meta object literal for the '`Model Slot`' class.
      See Also:
        `ModelSlotImpl`, `GuigenPackageImpl.getModelSlot()`

    - #### MODEL_SLOT__DEF

          static final org.eclipse.emf.ecore.EReference MODEL_SLOT__DEF

      The meta object literal for the 'Def' reference feature.

    - #### MODEL_SLOT__VAL

          static final org.eclipse.emf.ecore.EReference MODEL_SLOT__VAL

      The meta object literal for the 'Val' reference feature.

    - #### CLEAR_APPDATA_COMMAND

          static final org.eclipse.emf.ecore.EClass CLEAR_APPDATA_COMMAND

      The meta object literal for the '`Clear Appdata Command`' class.
      See Also:
        `ClearAppdataCommandImpl`, `GuigenPackageImpl.getClearAppdataCommand()`

    - #### CLEAR_APPDATA_COMMAND__APP_DATA

          static final org.eclipse.emf.ecore.EReference CLEAR_APPDATA_COMMAND__APP_DATA

      The meta object literal for the 'App Data' reference list feature.

    - #### MAP_VIEW

          static final org.eclipse.emf.ecore.EClass MAP_VIEW

      The meta object literal for the '`Map View`' class.
      See Also:
        `MapViewImpl`, `GuigenPackageImpl.getMapView()`

    - #### MAP_VIEW__MAP_ID

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW__MAP_ID

      The meta object literal for the 'Map Id' attribute feature.

    - #### MAP_VIEW__START_ENVELOPE_SPEC

          static final org.eclipse.emf.ecore.EReference MAP_VIEW__START_ENVELOPE_SPEC

      The meta object literal for the 'Start Envelope Spec' containment reference feature.

    - #### MAP_VIEW__MAX_ENVELOPE_SPEC

          static final org.eclipse.emf.ecore.EReference MAP_VIEW__MAX_ENVELOPE_SPEC

      The meta object literal for the 'Max Envelope Spec' containment reference feature.

    - #### MAP_VIEW__SCALE_ENVELOPE_SPEC

          static final org.eclipse.emf.ecore.EReference MAP_VIEW__SCALE_ENVELOPE_SPEC

      The meta object literal for the 'Scale Envelope Spec' containment reference feature.

    - #### MAP_VIEW__NUM_LEVELS

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW__NUM_LEVELS

      The meta object literal for the 'Num Levels' attribute feature.

    - #### MAP_VIEW__EDIT_DATA_BINDING

          static final org.eclipse.emf.ecore.EReference MAP_VIEW__EDIT_DATA_BINDING

      The meta object literal for the 'Edit Data Binding' containment reference feature.

    - #### MAP_VIEW__GADGETS

          static final org.eclipse.emf.ecore.EReference MAP_VIEW__GADGETS

      The meta object literal for the 'Gadgets' containment reference feature.

    - #### MAP_VIEW__NO_CLICK_WHEN_DISABLED

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW__NO_CLICK_WHEN_DISABLED

      The meta object literal for the 'No Click When Disabled' attribute feature.

    - #### MAP_VIEW__NO_EDIT_WHEN_DISABLED

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW__NO_EDIT_WHEN_DISABLED

      The meta object literal for the 'No Edit When Disabled' attribute feature.

    - #### MAP_VIEW__NO_ZOOM_WHEN_DISABLED

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW__NO_ZOOM_WHEN_DISABLED

      The meta object literal for the 'No Zoom When Disabled' attribute feature.

    - #### MAP_VIEW__NO_PAN_WHEN_DISABLED

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW__NO_PAN_WHEN_DISABLED

      The meta object literal for the 'No Pan When Disabled' attribute feature.

    - #### POINT

          static final org.eclipse.emf.ecore.EClass POINT

      The meta object literal for the '`Point`' class.
      See Also:
        `PointImpl`, `GuigenPackageImpl.getPoint()`

    - #### POINT__X

          static final org.eclipse.emf.ecore.EAttribute POINT__X

      The meta object literal for the 'X' attribute feature.

    - #### POINT__Y

          static final org.eclipse.emf.ecore.EAttribute POINT__Y

      The meta object literal for the 'Y' attribute feature.

    - #### MAP_ENVELOPE

          static final org.eclipse.emf.ecore.EClass MAP_ENVELOPE

      The meta object literal for the '`Map Envelope`' class.
      See Also:
        `MapEnvelopeImpl`, `GuigenPackageImpl.getMapEnvelope()`

    - #### MAP_ENVELOPE__NORTH_EAST

          static final org.eclipse.emf.ecore.EReference MAP_ENVELOPE__NORTH_EAST

      The meta object literal for the 'North East' containment reference feature.

    - #### MAP_ENVELOPE__SOUTH_WEST

          static final org.eclipse.emf.ecore.EReference MAP_ENVELOPE__SOUTH_WEST

      The meta object literal for the 'South West' containment reference feature.

    - #### PORTAL_PROFILE

          static final org.eclipse.emf.ecore.EClass PORTAL_PROFILE

      The meta object literal for the '`Portal Profile`' class.
      See Also:
        `PortalProfileImpl`, `GuigenPackageImpl.getPortalProfile()`

    - #### PORTAL_PROFILE__NAME

          static final org.eclipse.emf.ecore.EAttribute PORTAL_PROFILE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### PORTAL_PROFILE__RES_MODULES

          static final org.eclipse.emf.ecore.EReference PORTAL_PROFILE__RES_MODULES

      The meta object literal for the 'Res Modules' containment reference list feature.

    - #### PORTAL_PROFILE__WHERE_ARE_YOU_FROM_PORTAL_CODE

          static final org.eclipse.emf.ecore.EAttribute PORTAL_PROFILE__WHERE_ARE_YOU_FROM_PORTAL_CODE

      The meta object literal for the 'Where Are You From Portal Code' attribute feature.

    - #### PORTAL_PROFILE__RESOURCE_PROVIDER_CODE

          static final org.eclipse.emf.ecore.EAttribute PORTAL_PROFILE__RESOURCE_PROVIDER_CODE

      The meta object literal for the 'Resource Provider Code' attribute feature.

    - #### WEB_RESOURCE_MODULE

          static final org.eclipse.emf.ecore.EClass WEB_RESOURCE_MODULE

      The meta object literal for the '`Web Resource Module`' class.
      See Also:
        `WebResourceModuleImpl`, `GuigenPackageImpl.getWebResourceModule()`

    - #### WEB_RESOURCE_MODULE__NAME

          static final org.eclipse.emf.ecore.EAttribute WEB_RESOURCE_MODULE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### WEB_RESOURCE_MODULE__VERSION

          static final org.eclipse.emf.ecore.EAttribute WEB_RESOURCE_MODULE__VERSION

      The meta object literal for the 'Version' attribute feature.

    - #### WEB_RESOURCE_MODULE__REPART_MODULE

          static final org.eclipse.emf.ecore.EReference WEB_RESOURCE_MODULE__REPART_MODULE

      The meta object literal for the 'Repart Module' containment reference feature.

    - #### WEB_RESOURCE_MODULE__DEPLOYMENT_TYPE

          static final org.eclipse.emf.ecore.EAttribute WEB_RESOURCE_MODULE__DEPLOYMENT_TYPE

      The meta object literal for the 'Deployment Type' attribute feature.

    - #### STD_WEB_RESOURCE_MODULE

          static final org.eclipse.emf.ecore.EClass STD_WEB_RESOURCE_MODULE

      The meta object literal for the '`Std Web Resource Module`' class.
      See Also:
        `StdWebResourceModuleImpl`, `GuigenPackageImpl.getStdWebResourceModule()`

    - #### STD_WEB_RESOURCE_MODULE__STD_NAME

          static final org.eclipse.emf.ecore.EAttribute STD_WEB_RESOURCE_MODULE__STD_NAME

      The meta object literal for the 'Std Name' attribute feature.

    - #### REPART_ARTIFACT

          static final org.eclipse.emf.ecore.EClass REPART_ARTIFACT

      The meta object literal for the '`Repart Artifact`' class.
      See Also:
        `RepartArtifactImpl`, `GuigenPackageImpl.getRepartArtifact()`

    - #### REPART_ARTIFACT__NAME

          static final org.eclipse.emf.ecore.EAttribute REPART_ARTIFACT__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### REPART_ARTIFACT__TYPE

          static final org.eclipse.emf.ecore.EAttribute REPART_ARTIFACT__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### REPART_MODULE

          static final org.eclipse.emf.ecore.EClass REPART_MODULE

      The meta object literal for the '`Repart Module`' class.
      See Also:
        `RepartModuleImpl`, `GuigenPackageImpl.getRepartModule()`

    - #### REPART_MODULE__ORGANIZATION

          static final org.eclipse.emf.ecore.EAttribute REPART_MODULE__ORGANIZATION

      The meta object literal for the 'Organization' attribute feature.

    - #### REPART_MODULE__NAME

          static final org.eclipse.emf.ecore.EAttribute REPART_MODULE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### REPART_MODULE__VERSION

          static final org.eclipse.emf.ecore.EAttribute REPART_MODULE__VERSION

      The meta object literal for the 'Version' attribute feature.

    - #### REPART_MODULE__TYPE

          static final org.eclipse.emf.ecore.EAttribute REPART_MODULE__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### REPART_MODULE__ARTIFACTS

          static final org.eclipse.emf.ecore.EReference REPART_MODULE__ARTIFACTS

      The meta object literal for the 'Artifacts' containment reference list feature.

    - #### BREADCRUMB

          static final org.eclipse.emf.ecore.EClass BREADCRUMB

      The meta object literal for the '`Breadcrumb`' class.
      See Also:
        `BreadcrumbImpl`, `GuigenPackageImpl.getBreadcrumb()`

    - #### MAP_VIEW_GADGETS

          static final org.eclipse.emf.ecore.EClass MAP_VIEW_GADGETS

      The meta object literal for the '`Map View Gadgets`' class.
      See Also:
        `MapViewGadgetsImpl`, `GuigenPackageImpl.getMapViewGadgets()`

    - #### MAP_VIEW_GADGETS__LAYER_SWITCHER

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW_GADGETS__LAYER_SWITCHER

      The meta object literal for the 'Layer Switcher' attribute feature.

    - #### MAP_VIEW_GADGETS__BACKGROUND_MAP_MAP_SERVICE_NAME

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW_GADGETS__BACKGROUND_MAP_MAP_SERVICE_NAME

      The meta object literal for the 'Background Map Map Service Name' attribute feature.

    - #### MAP_VIEW_GADGETS__BACKGROUND_MAP_SWITCHER_LABEL

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW_GADGETS__BACKGROUND_MAP_SWITCHER_LABEL

      The meta object literal for the 'Background Map Switcher Label' attribute feature.

    - #### MAP_VIEW_GADGETS__BACKGROUND_PHOTO_AERIAL_MAP_SERVICE_NAME

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW_GADGETS__BACKGROUND_PHOTO_AERIAL_MAP_SERVICE_NAME

      The meta object literal for the 'Background Photo Aerial Map Service Name' attribute feature.

    - #### MAP_VIEW_GADGETS__BACKGROUND_PHOTO_AERIAL_SWITCHER_LABEL

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW_GADGETS__BACKGROUND_PHOTO_AERIAL_SWITCHER_LABEL

      The meta object literal for the 'Background Photo Aerial Switcher Label' attribute feature.

    - #### MAP_VIEW_GADGETS__POINT_EDITING_ACTIVE

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW_GADGETS__POINT_EDITING_ACTIVE

      The meta object literal for the 'Point Editing Active' attribute feature.

    - #### MAP_VIEW_GADGETS__LINE_EDITING_ACTIVE

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW_GADGETS__LINE_EDITING_ACTIVE

      The meta object literal for the 'Line Editing Active' attribute feature.

    - #### MAP_VIEW_GADGETS__POLYGON_EDITING_ACTIVE

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW_GADGETS__POLYGON_EDITING_ACTIVE

      The meta object literal for the 'Polygon Editing Active' attribute feature.

    - #### MAP_VIEW_GADGETS__MODIFY_EDITING_ACTIVE

          static final org.eclipse.emf.ecore.EAttribute MAP_VIEW_GADGETS__MODIFY_EDITING_ACTIVE

      The meta object literal for the 'Modify Editing Active' attribute feature.

    - #### PORTAL_EXPOSITION

          static final org.eclipse.emf.ecore.EClass PORTAL_EXPOSITION

      The meta object literal for the '`Portal Exposition`' class.
      See Also:
        `PortalExpositionImpl`, `GuigenPackageImpl.getPortalExposition()`

    - #### PORTAL_EXPOSITION__PORTAL

          static final org.eclipse.emf.ecore.EReference PORTAL_EXPOSITION__PORTAL

      The meta object literal for the 'Portal' reference feature.

    - #### PORTAL_EXPOSITION__AREA_CODE

          static final org.eclipse.emf.ecore.EAttribute PORTAL_EXPOSITION__AREA_CODE

      The meta object literal for the 'Area Code' attribute feature.

    - #### CP_COMMAND

          static final org.eclipse.emf.ecore.EClass CP_COMMAND

      The meta object literal for the '`CP Command`' class.
      See Also:
        `CPCommandImpl`, `GuigenPackageImpl.getCPCommand()`

    - #### CP_COMMAND__EXECUTE

          static final org.eclipse.emf.ecore.EAttribute CP_COMMAND__EXECUTE

      The meta object literal for the 'Execute' attribute feature.

    - #### CP_COMMAND__COMMAND

          static final org.eclipse.emf.ecore.EReference CP_COMMAND__COMMAND

      The meta object literal for the 'Command' containment reference feature.

    - #### CP_COMMANDS

          static final org.eclipse.emf.ecore.EClass CP_COMMANDS

      The meta object literal for the '`CP Commands`' class.
      See Also:
        `CPCommandsImpl`, `GuigenPackageImpl.getCPCommands()`

    - #### CP_COMMANDS__COMMANDS

          static final org.eclipse.emf.ecore.EReference CP_COMMANDS__COMMANDS

      The meta object literal for the 'Commands' containment reference list feature.

    - #### SECURITY_PROFILE

          static final org.eclipse.emf.ecore.EClass SECURITY_PROFILE

      The meta object literal for the '`Security Profile`' class.
      See Also:
        `SecurityProfileImpl`, `GuigenPackageImpl.getSecurityProfile()`

    - #### SECURITY_PROFILE__NAME

          static final org.eclipse.emf.ecore.EAttribute SECURITY_PROFILE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### SECURITY_PROFILE__EXT_AUTH_GUARD

          static final org.eclipse.emf.ecore.EReference SECURITY_PROFILE__EXT_AUTH_GUARD

      The meta object literal for the 'Ext Auth Guard' containment reference feature.

    - #### SECURITY_PROFILE__INT_AUTH_GUARD

          static final org.eclipse.emf.ecore.EReference SECURITY_PROFILE__INT_AUTH_GUARD

      The meta object literal for the 'Int Auth Guard' containment reference feature.

    - #### SECURITY_PROFILE__ID_ADAPTER

          static final org.eclipse.emf.ecore.EReference SECURITY_PROFILE__ID_ADAPTER

      The meta object literal for the 'Id Adapter' containment reference feature.

    - #### SECURITY_PROFILE__PEP_IMPL

          static final org.eclipse.emf.ecore.EReference SECURITY_PROFILE__PEP_IMPL

      The meta object literal for the 'Pep Impl' containment reference feature.

    - #### EXTERNAL_AUTHENTICATION_GUARD

          static final org.eclipse.emf.ecore.EClass EXTERNAL_AUTHENTICATION_GUARD

      The meta object literal for the '`External Authentication Guard`' class.
      See Also:
        `ExternalAuthenticationGuardImpl`, `GuigenPackageImpl.getExternalAuthenticationGuard()`

    - #### INTERNAL_AUTHENTICATION_GUARD

          static final org.eclipse.emf.ecore.EClass INTERNAL_AUTHENTICATION_GUARD

      The meta object literal for the '`Internal Authentication Guard`' class.
      See Also:
        `InternalAuthenticationGuardImpl`, `GuigenPackageImpl.getInternalAuthenticationGuard()`

    - #### INTERNAL_AUTHENTICATION_GUARD__LOGIN_MODULE

          static final org.eclipse.emf.ecore.EReference INTERNAL_AUTHENTICATION_GUARD__LOGIN_MODULE

      The meta object literal for the 'Login Module' containment reference feature.

    - #### INTERNAL_AUTHENTICATION_GUARD__PARAMS

          static final org.eclipse.emf.ecore.EReference INTERNAL_AUTHENTICATION_GUARD__PARAMS

      The meta object literal for the 'Params' containment reference feature.

    - #### WAYF_REQUEST_ADAPTER

          static final org.eclipse.emf.ecore.EClass WAYF_REQUEST_ADAPTER

      The meta object literal for the '`WAYF Request Adapter`' class.
      See Also:
        `WAYFRequestAdapterImpl`, `GuigenPackageImpl.getWAYFRequestAdapter()`

    - #### WAYF_REQUEST_ADAPTER__SOURCE_TYPE

          static final org.eclipse.emf.ecore.EAttribute WAYF_REQUEST_ADAPTER__SOURCE_TYPE

      The meta object literal for the 'Source Type' attribute feature.

    - #### WAYF_REQUEST_ADAPTER__INFO_SOURCE_NAME

          static final org.eclipse.emf.ecore.EAttribute WAYF_REQUEST_ADAPTER__INFO_SOURCE_NAME

      The meta object literal for the 'Info Source Name' attribute feature.

    - #### WAYF_PROFILE

          static final org.eclipse.emf.ecore.EClass WAYF_PROFILE

      The meta object literal for the '`WAYF Profile`' class.
      See Also:
        `WAYFProfileImpl`, `GuigenPackageImpl.getWAYFProfile()`

    - #### WAYF_PROFILE__REQUEST_ADAPTER

          static final org.eclipse.emf.ecore.EReference WAYF_PROFILE__REQUEST_ADAPTER

      The meta object literal for the 'Request Adapter' containment reference feature.

    - #### LOGIN_UI

          static final org.eclipse.emf.ecore.EClass LOGIN_UI

      The meta object literal for the '`Login UI`' class.
      See Also:
        `LoginUIImpl`, `GuigenPackageImpl.getLoginUI()`

    - #### LOGIN_UI__UI_TYPE

          static final org.eclipse.emf.ecore.EAttribute LOGIN_UI__UI_TYPE

      The meta object literal for the 'Ui Type' attribute feature.

    - #### LOGIN_MODULE

          static final org.eclipse.emf.ecore.EClass LOGIN_MODULE

      The meta object literal for the '`Login Module`' class.
      See Also:
        `LoginModuleImpl`, `GuigenPackageImpl.getLoginModule()`

    - #### LOGIN_MODULE__INTERNAL

          static final org.eclipse.emf.ecore.EAttribute LOGIN_MODULE__INTERNAL

      The meta object literal for the 'Internal' attribute feature.

    - #### LOGIN_MODULE__LOGIN_UI

          static final org.eclipse.emf.ecore.EReference LOGIN_MODULE__LOGIN_UI

      The meta object literal for the 'Login UI' containment reference list feature.

    - #### IDENTITY_ADAPTER

          static final org.eclipse.emf.ecore.EClass IDENTITY_ADAPTER

      The meta object literal for the '`Identity Adapter`' class.
      See Also:
        `IdentityAdapterImpl`, `GuigenPackageImpl.getIdentityAdapter()`

    - #### IDENTITY_ADAPTER__SOURCE_TYPE

          static final org.eclipse.emf.ecore.EAttribute IDENTITY_ADAPTER__SOURCE_TYPE

      The meta object literal for the 'Source Type' attribute feature.

    - #### IDENTITY_ADAPTER__INFO_SOURCE_NAME

          static final org.eclipse.emf.ecore.EAttribute IDENTITY_ADAPTER__INFO_SOURCE_NAME

      The meta object literal for the 'Info Source Name' attribute feature.

    - #### IDENTITY_ADAPTER__TICKET_VERIFY_METHOD

          static final org.eclipse.emf.ecore.EAttribute IDENTITY_ADAPTER__TICKET_VERIFY_METHOD

      The meta object literal for the 'Ticket Verify Method' attribute feature.

    - #### IDENTITY_ADAPTER__INLINE_CODE_SNIPPETS

          static final org.eclipse.emf.ecore.EReference IDENTITY_ADAPTER__INLINE_CODE_SNIPPETS

      The meta object literal for the 'Inline Code Snippets' containment reference list feature.

    - #### IDENTITY_ADAPTER__PARAMS

          static final org.eclipse.emf.ecore.EReference IDENTITY_ADAPTER__PARAMS

      The meta object literal for the 'Params' containment reference feature.

    - #### ENV_CONFIG_PARAM

          static final org.eclipse.emf.ecore.EClass ENV_CONFIG_PARAM

      The meta object literal for the '`Env Config Param`' class.
      See Also:
        `EnvConfigParamImpl`, `GuigenPackageImpl.getEnvConfigParam()`

    - #### ENV_CONFIG_PARAM__NAME

          static final org.eclipse.emf.ecore.EAttribute ENV_CONFIG_PARAM__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### ENV_CONFIG_PARAMS

          static final org.eclipse.emf.ecore.EClass ENV_CONFIG_PARAMS

      The meta object literal for the '`Env Config Params`' class.
      See Also:
        `EnvConfigParamsImpl`, `GuigenPackageImpl.getEnvConfigParams()`

    - #### ENV_CONFIG_PARAMS__PARAMS

          static final org.eclipse.emf.ecore.EReference ENV_CONFIG_PARAMS__PARAMS

      The meta object literal for the 'Params' containment reference list feature.

    - #### PEP_IMPLEMENTATION

          static final org.eclipse.emf.ecore.EClass PEP_IMPLEMENTATION

      The meta object literal for the '`PEP Implementation`' class.
      See Also:
        `PEPImplementationImpl`, `GuigenPackageImpl.getPEPImplementation()`

    - #### PEP_IMPLEMENTATION__PARAMS

          static final org.eclipse.emf.ecore.EReference PEP_IMPLEMENTATION__PARAMS

      The meta object literal for the 'Params' containment reference list feature.

    - #### PEP_IMPLEMENTATION__CUSTOM

          static final org.eclipse.emf.ecore.EAttribute PEP_IMPLEMENTATION__CUSTOM

      The meta object literal for the 'Custom' attribute feature.

    - #### PEP_IMPLEMENTATION__INLINE_CODE_SNIPPETS

          static final org.eclipse.emf.ecore.EReference PEP_IMPLEMENTATION__INLINE_CODE_SNIPPETS

      The meta object literal for the 'Inline Code Snippets' containment reference list feature.

    - #### INLINE_CODE_SNIPPET

          static final org.eclipse.emf.ecore.EClass INLINE_CODE_SNIPPET

      The meta object literal for the '`Inline Code Snippet`' class.
      See Also:
        `InlineCodeSnippetImpl`, `GuigenPackageImpl.getInlineCodeSnippet()`

    - #### INLINE_CODE_SNIPPET__SNIPPET_POSITION

          static final org.eclipse.emf.ecore.EAttribute INLINE_CODE_SNIPPET__SNIPPET_POSITION

      The meta object literal for the 'Snippet Position' attribute feature.

    - #### INLINE_CODE_SNIPPET__SNIPPET_NAME

          static final org.eclipse.emf.ecore.EAttribute INLINE_CODE_SNIPPET__SNIPPET_NAME

      The meta object literal for the 'Snippet Name' attribute feature.

    - #### INLINE_CODE_SNIPPET__SNIPPET_CODE

          static final org.eclipse.emf.ecore.EAttribute INLINE_CODE_SNIPPET__SNIPPET_CODE

      The meta object literal for the 'Snippet Code' attribute feature.

    - #### INLINE_CODE_SNIPPET__LANG

          static final org.eclipse.emf.ecore.EAttribute INLINE_CODE_SNIPPET__LANG

      The meta object literal for the 'Lang' attribute feature.

    - #### ANNOTATED_ELEMENT

          static final org.eclipse.emf.ecore.EClass ANNOTATED_ELEMENT

      The meta object literal for the '`Annotated Element`' class.
      See Also:
        `AnnotatedElement`, `GuigenPackageImpl.getAnnotatedElement()`

    - #### ANNOTATED_ELEMENT__ANNOTATIONS

          static final org.eclipse.emf.ecore.EReference ANNOTATED_ELEMENT__ANNOTATIONS

      The meta object literal for the 'Annotations' containment reference list feature.

    - #### ANNOTATION

          static final org.eclipse.emf.ecore.EClass ANNOTATION

      The meta object literal for the '`Annotation`' class.
      See Also:
        `AnnotationImpl`, `GuigenPackageImpl.getAnnotation()`

    - #### ANNOTATION__SOURCE

          static final org.eclipse.emf.ecore.EAttribute ANNOTATION__SOURCE

      The meta object literal for the 'Source' attribute feature.

    - #### ANNOTATION__DETAILS

          static final org.eclipse.emf.ecore.EReference ANNOTATION__DETAILS

      The meta object literal for the 'Details' containment reference list feature.

    - #### ANNOTATION_DETAIL

          static final org.eclipse.emf.ecore.EClass ANNOTATION_DETAIL

      The meta object literal for the '`Annotation Detail`' class.
      See Also:
        `AnnotationDetailImpl`, `GuigenPackageImpl.getAnnotationDetail()`

    - #### ANNOTATION_DETAIL__KEY

          static final org.eclipse.emf.ecore.EAttribute ANNOTATION_DETAIL__KEY

      The meta object literal for the 'Key' attribute feature.

    - #### ANNOTATION_DETAIL__VALUE

          static final org.eclipse.emf.ecore.EAttribute ANNOTATION_DETAIL__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### CAPTCHA

          static final org.eclipse.emf.ecore.EClass CAPTCHA

      The meta object literal for the '`Captcha`' class.
      See Also:
        `CaptchaImpl`, `GuigenPackageImpl.getCaptcha()`

    - #### SLIDER

          static final org.eclipse.emf.ecore.EClass SLIDER

      The meta object literal for the '`Slider`' class.
      See Also:
        `SliderImpl`, `GuigenPackageImpl.getSlider()`

    - #### SLIDER__USE_COLLECTION_DATA_AS

          static final org.eclipse.emf.ecore.EAttribute SLIDER__USE_COLLECTION_DATA_AS

      The meta object literal for the 'Use Collection Data As' attribute feature.

    - #### SLIDER__STATIC_LOWER_BOUND

          static final org.eclipse.emf.ecore.EAttribute SLIDER__STATIC_LOWER_BOUND

      The meta object literal for the 'Static Lower Bound' attribute feature.

    - #### SLIDER__STATIC_UPPER_BOUND

          static final org.eclipse.emf.ecore.EAttribute SLIDER__STATIC_UPPER_BOUND

      The meta object literal for the 'Static Upper Bound' attribute feature.

    - #### SLIDER__STATIC_STEP

          static final org.eclipse.emf.ecore.EAttribute SLIDER__STATIC_STEP

      The meta object literal for the 'Static Step' attribute feature.

    - #### WIDGET_DATA_TYPE

          static final org.eclipse.emf.ecore.EEnum WIDGET_DATA_TYPE

      The meta object literal for the '`Widget Data Type`' enum.
      See Also:
        `WidgetDataType`, `GuigenPackageImpl.getWidgetDataType()`

    - #### UDLRC_SPEC_CONSTANTS

          static final org.eclipse.emf.ecore.EEnum UDLRC_SPEC_CONSTANTS

      The meta object literal for the '`UDLRC Spec Constants`' enum.
      See Also:
        `UDLRCSpecConstants`, `GuigenPackageImpl.getUDLRCSpecConstants()`

    - #### METHOD_PROTECTION_TYPES

          static final org.eclipse.emf.ecore.EEnum METHOD_PROTECTION_TYPES

      The meta object literal for the '`Method Protection Types`' enum.
      See Also:
        `MethodProtectionTypes`, `GuigenPackageImpl.getMethodProtectionTypes()`

    - #### EVENT_TYPES

          static final org.eclipse.emf.ecore.EEnum EVENT_TYPES

      The meta object literal for the '`Event Types`' enum.
      See Also:
        `EventTypes`, `GuigenPackageImpl.getEventTypes()`

    - #### DATA_LIFETIME_TYPE

          static final org.eclipse.emf.ecore.EEnum DATA_LIFETIME_TYPE

      The meta object literal for the '`Data Lifetime Type`' enum.
      See Also:
        `DataLifetimeType`, `GuigenPackageImpl.getDataLifetimeType()`

    - #### SIMPLE_TYPE_CODES

          static final org.eclipse.emf.ecore.EEnum SIMPLE_TYPE_CODES

      The meta object literal for the '`Simple Type Codes`' enum.
      See Also:
        `SimpleTypeCodes`, `GuigenPackageImpl.getSimpleTypeCodes()`

    - #### PORTAL_NAMES

          static final org.eclipse.emf.ecore.EEnum PORTAL_NAMES

      The meta object literal for the '`Portal Names`' enum.
      See Also:
        `PortalNames`, `GuigenPackageImpl.getPortalNames()`

    - #### LOGOUT_ACTION_TYPES

          static final org.eclipse.emf.ecore.EEnum LOGOUT_ACTION_TYPES

      The meta object literal for the '`Logout Action Types`' enum.
      See Also:
        `LogoutActionTypes`, `GuigenPackageImpl.getLogoutActionTypes()`

    - #### TARGET_PLATFORM_CODES

          static final org.eclipse.emf.ecore.EEnum TARGET_PLATFORM_CODES

      The meta object literal for the '`Target Platform Codes`' enum.
      See Also:
        `TargetPlatformCodes`, `GuigenPackageImpl.getTargetPlatformCodes()`

    - #### MESSAGE_SEVERITY

          static final org.eclipse.emf.ecore.EEnum MESSAGE_SEVERITY

      The meta object literal for the '`Message Severity`' enum.
      See Also:
        `MessageSeverity`, `GuigenPackageImpl.getMessageSeverity()`

    - #### COMMAND_STYLES

          static final org.eclipse.emf.ecore.EEnum COMMAND_STYLES

      The meta object literal for the '`Command Styles`' enum.
      See Also:
        `CommandStyles`, `GuigenPackageImpl.getCommandStyles()`

    - #### INLINE_SCRIPTING_LANGUAGE

          static final org.eclipse.emf.ecore.EEnum INLINE_SCRIPTING_LANGUAGE

      The meta object literal for the '`Inline Scripting Language`' enum.
      See Also:
        `InlineScriptingLanguage`, `GuigenPackageImpl.getInlineScriptingLanguage()`

    - #### LOGIC_AGGREGATION_TYPES

          static final org.eclipse.emf.ecore.EEnum LOGIC_AGGREGATION_TYPES

      The meta object literal for the '`Logic Aggregation Types`' enum.
      See Also:
        `LogicAggregationTypes`, `GuigenPackageImpl.getLogicAggregationTypes()`

    - #### CUSTOM_CARTRIDGE_ID

          static final org.eclipse.emf.ecore.EEnum CUSTOM_CARTRIDGE_ID

      The meta object literal for the '`Custom Cartridge ID`' enum.
      See Also:
        `CustomCartridgeID`, `GuigenPackageImpl.getCustomCartridgeID()`

    - #### COMMAND_FUNCTIONS

          static final org.eclipse.emf.ecore.EEnum COMMAND_FUNCTIONS

      The meta object literal for the '`Command Functions`' enum.
      See Also:
        `CommandFunctions`, `GuigenPackageImpl.getCommandFunctions()`

    - #### WEB_RES_MODULE_DEPLOY_TYPES

          static final org.eclipse.emf.ecore.EEnum WEB_RES_MODULE_DEPLOY_TYPES

      The meta object literal for the '`Web Res Module Deploy Types`' enum.
      See Also:
        `WebResModuleDeployTypes`, `GuigenPackageImpl.getWebResModuleDeployTypes()`

    - #### STD_WEB_RES_MODULE_NAMES

          static final org.eclipse.emf.ecore.EEnum STD_WEB_RES_MODULE_NAMES

      The meta object literal for the '`Std Web Res Module Names`' enum.
      See Also:
        `StdWebResModuleNames`, `GuigenPackageImpl.getStdWebResModuleNames()`

    - #### REPART_MODULE_TYPES

          static final org.eclipse.emf.ecore.EEnum REPART_MODULE_TYPES

      The meta object literal for the '`Repart Module Types`' enum.
      See Also:
        `RepartModuleTypes`, `GuigenPackageImpl.getRepartModuleTypes()`

    - #### WIZARD_NUMBERING_TYPES

          static final org.eclipse.emf.ecore.EEnum WIZARD_NUMBERING_TYPES

      The meta object literal for the '`Wizard Numbering Types`' enum.
      See Also:
        `WizardNumberingTypes`, `GuigenPackageImpl.getWizardNumberingTypes()`

    - #### CP_COMMAND_EXECUTION_TYPES

          static final org.eclipse.emf.ecore.EEnum CP_COMMAND_EXECUTION_TYPES

      The meta object literal for the '`CP Command Execution Types`' enum.
      See Also:
        `CPCommandExecutionTypes`, `GuigenPackageImpl.getCPCommandExecutionTypes()`

    - #### TICKET_VERIFY_METHOD

          static final org.eclipse.emf.ecore.EEnum TICKET_VERIFY_METHOD

      The meta object literal for the '`Ticket Verify Method`' enum.
      See Also:
        `TicketVerifyMethod`, `GuigenPackageImpl.getTicketVerifyMethod()`

    - #### LOGIN_UI_TYPES

          static final org.eclipse.emf.ecore.EEnum LOGIN_UI_TYPES

      The meta object literal for the '`Login UI Types`' enum.
      See Also:
        `LoginUITypes`, `GuigenPackageImpl.getLoginUITypes()`

    - #### INFO_SOURCE_TYPES

          static final org.eclipse.emf.ecore.EEnum INFO_SOURCE_TYPES

      The meta object literal for the '`Info Source Types`' enum.
      See Also:
        `InfoSourceTypes`, `GuigenPackageImpl.getInfoSourceTypes()`

    - #### TREE_SELECTION_TYPES

          static final org.eclipse.emf.ecore.EEnum TREE_SELECTION_TYPES

      The meta object literal for the '`Tree Selection Types`' enum.
      See Also:
        `TreeSelectionTypes`, `GuigenPackageImpl.getTreeSelectionTypes()`

    - #### SLIDER_COLLECTION_VALUES_USAGE_TYPES

          static final org.eclipse.emf.ecore.EEnum SLIDER_COLLECTION_VALUES_USAGE_TYPES

      The meta object literal for the '`Slider Collection Values Usage Types`' enum.
      See Also:
        `SliderCollectionValuesUsageTypes`, `GuigenPackageImpl.getSliderCollectionValuesUsageTypes()`